
<!-- COPIUS Transcription & orthography toolset -->
<!-- Version 1.1, 11 March 2021 -->
<!-- Jeremy Bradley, jeremy.moss.bradley@univie.ac.at -->

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>COPIUS - Communities of Practice in Uralic Studies</title>
    <link rel="icon" type="image" href="images/copius_logo.png">

    <!-- load stylesheets -->
	<link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet"> 
    <link rel="stylesheet" href="css/bootstrap.min.css">                                      <!-- Bootstrap style -->
    <!--link rel="stylesheet" href="css/magnific-popup.css"-->                                <!-- Magnific pop up style, http://dimsemenov.com/plugins/magnific-popup/ -->
    <link rel="stylesheet" href="css/style.css">                                   <!-- Templatemo style -->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
          <![endif]-->
</head>
    <body>        
        <div class="container">
            <div class="row">
				<div class="cop-left-right-container">
					<!-- Left column: logo and menu -->
					<div class="cop-blue-bg cop-left-column">						
						<div class="cop-logo-div text-xs-center">
							<img src="images/copius_logo_white-bg.png" alt="Copius" class="img-fluid">
							<!--h1 class="cop-site-name"><a href="./index.php">copius.eu</a></h1-->
						</div>
						<nav class="cop-main-nav">
							<ul class="cop-main-nav-ul">
								<li class="cop-nav-item">
									<a href="./index.php" class ="cop-nav-item-link">HOME</a>
								</li>
								<li class="cop-nav-item">
									<a href="./teaching.php" class="cop-nav-item-link">TEACHING ACTIVITIES</a>
								</li>
								<li class="cop-nav-item">
									<a href="./materials.php" class="cop-nav-item-link">TEACHING MATERIALS</a>
								</li>
								<li class="cop-nav-item">
									<a href="./tools.php" class="cop-nav-item-link">TOOLS</a>
								</li>
								<!--li class="cop-nav-item-small">
										<a href="#top" class="cop-nav-item-link">About</a>
									</li-->
									<li class="cop-nav-item-small">
										<a href="" class="cop-nav-item-link">▶ Transcription & orthography toolset</a>
									</li>
									<li class="cop-nav-item-small">
										<a href="./tools.php#biblio" class="cop-nav-item-link">Uralic Core Bibliography</a>
									</li>
									<li class="cop-nav-item-small">
										<a href="./udm_paradigm.php" class="cop-nav-item-link">Udmurt paradigm generator</a>
									</li>
									<li class="cop-nav-item-feedback">
										<a href="./tools.php#feedback" class="cop-nav-item-link">Feedback</a>
									</li>
								<!--li class="cop-nav-item">
									<a href="./partners.php" class="cop-nav-item-link">PARTNERS</a>
								</li-->
								<li class="cop-nav-item-login">
									<a href="./login.php" class="cop-nav-item-link">Log In For Students</a>
								</li>
							</ul>
						</nav>										 
					</div> <!-- Left column: logo and menu -->
					
					<!-- Right column: content -->
					<div class="cop-right-column">
						<a name="top"></a>
						<a href="#top" id="topbutton">To the top</a>
						<!--figure>
						<br/>
							<img src="images/tools.png" alt="Transcription tool illustration" class="img-fluid">	
						</figure-->

						<div class="cop-content-div">
							<!-- Welcome section -->
							<section id="top" class="cop-section">
								<header>
									<h2 class="cop-blue-text cop-welcome-title cop-margin-b-45">Transcription & orthography toolset</h2>
								</header>
								<p>This toolset is a loose conglomeration of applications aiming to help you handle various character encodings, orthographies, transcriptions and transliterations you might encounter when working with Uralic languages and other languages of Europe and Northern Asia that use variants of the Latin or Cyrillic alphabet.</p>

							</section>
							
							<section id="manual" class="cop-section">
                                <!--div class="row"-->                                                                
                                        <header>
										<hr>
                                            <h2 class="cop-blue-text cop-section-title cop-margin-b-45">User manual and documentation</h2>
                                        </header>
                                        <table cellpadding="15">
                                        <tr>
                                        <td><figure class="cop-img-container-table"> <img src="images/manual.png" class="img-fluid"></figure></td>
                                        <td>
										
										<p>The user manual and documentation gives a detailed overview of the functionality of the individual tools published here, and gives the sources used to create models for individual languages. It also includes an overview map of the Cyrillic keyboard layout. If you wish to contribute to this toolset and want to help us create resources for additional languages, you will find instructions on the information we need to expand this toolset in the manual.</p>

										<br><a href="./files/tr-manual.pdf" class="cop-button cop-button-wide cop-margin-b-30">Open manual</a>
										</td>
                                        </tr>
                                        </table>
                                    <!--/div>
                                </div-->                            
                            </section>	
							

							<section id="layouts" class="cop-section">
                                <!--div class="row"-->                                                                
                                        <header>
										<hr>
                                            <h2 class="cop-blue-text cop-section-title cop-margin-b-45">Keyboard layouts</h2>
                                        </header>
                                        <table cellpadding="15">
                                        <tr>
                                        <td><figure class="cop-img-container-table"> <img src="images/keyboard.png" class="img-fluid"></figure></td>
                                        <td>
										
										<p>This keyboard layout should cover all Cyrillic orthographies currently in official usage, and a number of archaic ones. It is based on Latin QWERTY-layouts, i.e. the Cyrillic letter “р” /r/ is placed where the letter “r” is placed on QWERTY-layouts used for the Latin alphabet. As there is no 1:1 relationship between letters of the Latin and Cyrillic alphabet, these correspondences are not always perfect. Punctuation marks are arranged as they are on the Finnish/Swedish and Estonian keyboard layouts.</p>

										<br>
										<a href="./files/cyruni.zip" class="cop-button cop-button-wide cop-margin-b-30">Cyrillic Keyboard Layout (Windows)</a> <a href="https://www.univie.ac.at/maridict/site-2014/tech/ruslay_win_en.html" class="cop-button cop-button-wide cop-margin-b-30" target="_blank">Installation instructions</a> </td>
                                        </tr>
                                        </table>
                                    <!--/div>
                                </div-->                            
                            </section>

							<section id="univ" class="cop-section">
                                <!--div class="row"-->                                                                
                                        <header>
										<hr>
                                            <h2 class="cop-blue-text cop-section-title cop-margin-b-45">Universal diactric helper</h2>
                                        </header>
                                        <table cellpadding="15">
                                        <tr>
                                        <td><figure class="cop-img-container-table"> <img src="images/univ.png" class="img-fluid"></figure></td>
                                        <td>
										
										<p>The Universal diacritic helper lets you add diacritic markings to Cyrillic and Latin characters, and lets you create non-standard variants of letters. Using this tool, you can create texts in a wide number of orthographies, even if you only have access to a “basic” Latin or Cyrillic keyboard layout. The application uses so-called modifiers, which users should place in square brackets after letters they intend to modify. For example, [a] adds an accent to a letter, [m] a macron: y[a] → ý, a[m] → ā</p>

										<br>
										<a href="./univ.php" class="cop-button cop-button-wide cop-margin-b-30">Go to universal diactritic helper</a> </td>
                                        </tr>
                                        </table>
                                    <!--/div>
                                </div-->                            
                            </section>

							<section id="trtr" class="cop-section">
                                <!--div class="row"-->                                                                
                                        <header>
										<hr>
                                            <h2 class="cop-blue-text cop-section-title cop-margin-b-45">Transcription and transliteration</h2>
                                        </header>
                                        <table cellpadding="15">
                                        <tr>
                                        <td><figure class="cop-img-container-table"> <img src="images/trtr.png" class="img-fluid"></figure></td>
                                        <td>
										
										<p>These tools transcribe and transliterate from a wide range of writing systems used for the respective language: standard modern Cyrillic orthography, standard modern Latin orthography (if it exists), UPA/Finno-Ugric Transcription, IPA, ISO 9, archaic orthographies. It is currently available for <a href="trtr.php?lang=mhr">Mari</a> (also <a href="trtr.php?lang=mrj">Hill Mari</a>), <a href="trtr.php?lang=udm">Udmurt</a>, <a href="trtr.php?lang=kom">Komi (also Komi-Permyak)</a>, <a href="trtr.php?lang=myv">Erzya</a>, <a href="trtr.php?lang=mdf">Moksha</a>, <a href="trtr.php?lang=mns">(Northern) Mansi</a>, <a href="trtr.php?lang=tat">Tatar</a>, <a href="trtr.php?lang=bak">Bashkir</a>, <a href="trtr.php?lang=chv">Chuvash</a>, and <a href="trtr.php?lang=rus">Russian</a>.</p>
										<br>
										<a href="./trtr.php" class="cop-button cop-button-wide cop-margin-b-30">Go to transcription and transliteration tool</a> </td>
                                        </tr>
                                        </table>
                                    <!--/div>
                                </div-->                            
                            </section>								
							

							<section id="diac" class="cop-section">
                                <!--div class="row"-->                                                                
                                        <header>
										<hr>
                                            <h2 class="cop-blue-text cop-section-title cop-margin-b-45">Language-specific diacritic helpers</h2>
                                        </header>
                                        <table cellpadding="15">
                                        <tr>
                                        <td><figure class="cop-img-container-table"> <img src="images/diac.png" class="img-fluid"></figure></td>
                                        <td>
										
										<p>This rudimentary tool is available for almost a hundred languages. It gives users an overview of what non-standard (Latin or Cyrillic) characters are in use in the language’s modern literary language, and provides users with a list of shortcuts they can use to access the special characters used in the language at hand. For example, for Turkish, the following transformations are carried out: c: → ç, g: → ğ, i: → ı, o: → ö, s: → ş, u: → ü, a- → â, i- → î, u- → û.</p>
										
										<p>The tool is currently available for the following languages:</p>
										
										<p><strong>Latin-based orthographies</strong></p>
										
										<p>
										
										<?php
										
										include('passwords.php');
										include('functions.php');
										
										$mysqli = new mysqli($host,$user,$pw,$db_name);

										if ($mysqli->connect_errno)
										{
											printf("Connect failed: %s\n", $mysqli->connect_error);
											exit();
										}
										$mysqli->query("SET CHARACTER SET utf8");
										$mysqli->query("SET SESSION collation_connection =’utf8_general_ci’");
										
										$sqlord = "SELECT `iso`, `name` FROM `tr-systems` WHERE `cyr` NOT LIKE \"x\" ORDER BY `name`";
	
										$sqlres = $mysqli->query($sqlord);
										$rows = $sqlres->num_rows;
										
										$word = db_result($sqlres,0,"name");
										$iso = db_result($sqlres,0,"iso");
																	
										echo "<a href=\"diac.php?lang=$iso\">$word</a>";
										
										for ($i = 1; $i < $rows; $i++)
										{
											$word = db_result($sqlres,$i,"name");
											$iso = db_result($sqlres,$i,"iso");
			
											echo ", <a href=\"diac.php?lang=$iso\">$word</a>";
										}

										?>
										
										</p>
										
										<p><strong>Cyrillic-based orthographies</strong></p>
										
										<p>
										
										<?php
										
										$sqlord = "SELECT `iso`, `name` FROM `tr-systems` WHERE `cyr` LIKE \"x\" ORDER BY `name`";
	
										$sqlres = $mysqli->query($sqlord);
										$rows = $sqlres->num_rows;
										
										$word = db_result($sqlres,0,"name");
										$iso = db_result($sqlres,0,"iso");
										
										echo "<a href=\"diac.php?lang=$iso\">$word</a>";
										
										for ($i = 1; $i < $rows; $i++)
										{
											$word = db_result($sqlres,$i,"name");
											$iso = db_result($sqlres,$i,"iso");
			
											echo ", <a href=\"diac.php?lang=$iso\">$word</a>";
										}
										
										?>
										
										</p>

										<br>
										<a href="./diac.php" class="cop-button cop-button-wide cop-margin-b-30">Go to diacritic helpers</a> </td>
                                        </tr>
                                        </table>
                                    <!--/div>
                                </div-->                            
                            </section>
							
							
							<section id="source" class="cop-section">
                                <!--div class="row"-->                                                                
                                        <header>
										<hr>
                                            <h2 class="cop-blue-text cop-section-title cop-margin-b-45">Source code</h2>
                                        </header>
                                        <table cellpadding="15">
                                        <tr>
                                        <td><figure class="cop-img-container-table"> <img src="images/source.png" class="img-fluid"></figure></td>
                                        <td>
										
										<p>The source code for these tools is published under the <a href="https://creativecommons.org/licenses/by-sa/4.0/" target="_blank">Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)</a> license. This means it can be used and reproduced free of charge for non-profit purposes, contingent on attribution.</p>

										<br>
										<a href="./files/copius_source.zip" class="cop-button cop-button-wide cop-margin-b-30">Download source code</a> </td>
                                        </tr>
                                        </table>
                                    <!--/div>
                                </div-->                            
                            </section>

	 
							<!-- Contact Us section -->
							<section id="contact" class="cop-section">
								<hr>
								<header><h2 class="cop-blue-text cop-section-title cop-margin-b-30">Contact Us</h2></header>

								<div class="row">
									<div class="col-lg-6">
										<form action="submit.php?page=ortho" method="post" class="contact-form">
											<div class="form-group">
												<input type="text" id="contact_name" name="contact_name" class="form-control" placeholder="Name"  required/>
											</div>
											<div class="form-group">
												<input type="email" id="contact_email" name="contact_email" class="form-control" placeholder="Email"  required/>
											</div>
											<div class="form-group">
												<textarea id="contact_message" name="contact_message" class="form-control" rows="18" placeholder="Message" required></textarea>
											</div>											
											<button type="submit" class="float-right cop-button">Send</button>
										</form>	
									</div>
									
									<div class="col-lg-6 cop-contact-right">
										<p><strong>Project Coordination</strong><br/> Prof. Dr. Rogier Blokland</p>
										<address>Uppsala University</br>Department of Modern Languages<br/> Engelska parken<br/> Thunbergsv. 3 L<br/> 751 26 Uppsala<br/> Sweden</address>

										<p><strong>Project Administration</strong><br/> Dr. phil. Maximilian Murmann (LMU Munich)</p>

										<p><strong>Technical Administration</strong><br/> Dr. tech. Dr. phil. Jeremy Bradley (University of Vienna)</p>
  
										<p><strong>Webmaster</strong><br/> Tobias Weber, M.A. (LMU Munich)</p>
   
  
										
										<!--address>
											11/22 Etiam mauris erat,<br>
											Vestibulum eu augue nec, 10220<br>
											Nam consequat
										</address-->
									</div>
								</div>
								
							</section>
							<footer>
								<?php
								
								include('passwords.php');
								
								echo "<p class=\"cop-copyright-p\">Copyright &copy; <span class=\"cop-current-year\">$year</span> COPIUS, last update: $last</p>\n";
								
								?>
								<p>Quick Access: <a href="./index.php">Home </a>| <a href="./teaching.php">Activities </a>| <a href="./materials.php">Materials </a>| <a href="./tools.php">Tools </a> | <a href="./login.php">Log In</a></p>
							</footer>
						</div>  
						
					</div> <!-- Right column: content -->
				</div>
			</div> <!-- row -->
		</div> <!-- container -->
				
		<!-- load JS files -->
		<script src="js/jquery-1.11.3.min.js"></script>			 <!-- jQuery (https://jquery.com/download/) -->
		<script src="js/jquery.magnific-popup.min.js"></script>	 <!-- Magnific pop-up (http://dimsemenov.com/plugins/magnific-popup/) -->
		<script src="js/jquery.singlePageNav.js"></script>	  <!-- Single Page Nav (https://github.com/ChrisWojcik/single-page-nav) -->
		<script>	 
	   
			$(document).ready(function(){

				// Single page nav
				$('.cop-main-nav').singlePageNav({
					'currentClass' : "active",
					offset : 20
				});

				// Magnific pop up
				$('.cop-gallery-1').magnificPopup({
				  delegate: 'a', // child items selector, by clicking on it popup will open
				  type: 'image',
				  gallery: {enabled:true}
				  // other options
				}); 

				$('.cop-gallery-2').magnificPopup({
				  delegate: 'a', // child items selector, by clicking on it popup will open
				  type: 'image',
				  gallery: {enabled:true}
				  // other options
				}); 

				$('.cop-gallery-3').magnificPopup({
				  delegate: 'a', // child items selector, by clicking on it popup will open
				  type: 'image',
				  gallery: {enabled:true}
				  // other options
				}); 

				$('.cop-current-year').text(new Date().getFullYear());				
			});
		</script>		
		<script>
			// When the user clicks on <div>, open the popup
			function popupfunction() {
			var popup = document.getElementById("Citation");
			popup.classList.toggle("show");
			}
		</script>
</body>
</html>
