﻿
<!-- COPIUS Transcription & orthography toolset -->
<!-- Version 1.1, 11 March 2021 -->
<!-- Jeremy Bradley, jeremy.moss.bradley@univie.ac.at -->




<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>COPIUS - Communities of Practice in Uralic Studies</title>
    <link rel="icon" type="image" href="images/copius_logo.png">

    <!-- load stylesheets -->
	<link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet"> 
    <link rel="stylesheet" href="css/bootstrap.min.css">                                      <!-- Bootstrap style -->
    <!--link rel="stylesheet" href="css/magnific-popup.css"-->                                <!-- Magnific pop up style, http://dimsemenov.com/plugins/magnific-popup/ -->
    <link rel="stylesheet" href="css/style_trans.css">                                   <!-- Templatemo style -->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
          <![endif]-->
</head>

<body>

<?php

header("Content-type: text/html; charset=utf-8");

include('functions.php');


$lang = "x";	// Meadow Mari (mhr), Hill Mari (mrj), Komi (kom), Udmurt (udm), Erzya (myv), Moksha (mdf), Mansi (mns), Tatar (tat), Bashkir (bak), Chuvash (chv), Russian (rus)
$dir = "lc";	// Transcription direction
$assim = false;	// orthographically unmarked assimilation?

if(isset($_GET['lang']))
{
	$lang = $_GET['lang'];
	
	if ($lang != "mhr" && $lang != "mrj" && $lang != "tat" && $lang != "rus" && $lang != "chv" && $lang != "bak" && $lang != "udm" && $lang != "kom" && $lang != "myv" && $lang != "mdf" && $lang != "mns")
		$lang = "x";
}

$inField ="";

if(isset($_POST["inField"]) && strlen($_POST["inField"]) > 0)
{
	$inField = $_POST["inField"];
}

if(isset($_POST["dir"])) 
	$dir = $_POST["dir"];
	
if(isset($_POST["assim"])) 
	$assim = true;

$outField = "";

$word = "";

switch ($lang) {
    case "mhr":
        $word = "Mari";
        break;
    case "mrj":
        $word = "Hill Mari";
        break;
    case "bak":
        $word = "Bashkir";
        break;
    case "tat":
        $word = "Tatar";
        break;
    case "rus":
        $word = "Russian";
        break;
    case "udm":
        $word = "Udmurt";
        break;
    case "kom":
        $word = "Komi";
        break;
    case "mdf":
        $word = "Moksha";
        break;
    case "myv":
        $word = "Erzya";
        break;
    case "mns":
        $word = "Mansi (Northern)";
        break;
    case "chv":
        $word = "Chuvash";
        break;		
}


echo "<table class=\"header\">\n";
echo "<tr>\n";
echo "<td>\n";
echo "<img src=\"images/copius_logo_white-bg.png\" alt=\"Copius\" class=\"img-fluid\" width=\"150\">\n";
echo "</td>\n";
echo "<td>\n";
echo "<h2  class=\"cop-blue-text cop-section-title cop-margin-b-45\">Transcription and transliteration: $word</h2>\n";
echo "<p><a href=\"./index.php\">copius.eu</a> » <a href=\"./tools.php\">Tools</a> » <a href=\"./ortho.php\">Transcription & orthography toolset</a> » <strong>Transcription and transliteration</strong> » </p>\n";

echo "<p>";

if ($lang == "mhr")
	echo "<strong>Mari</strong> (";
else
	echo "<a href=\"?lang=mhr\">Mari</a> (";

if ($lang == "mrj")
	echo "<strong>Hill Mari</strong>) | ";
else
	echo "<a href=\"?lang=mrj\">Hill Mari</a>) | ";

if ($lang == "udm")
	echo "<strong>Udmurt</strong> | ";
else
	echo "<a href=\"?lang=udm\">Udmurt</a> | ";

if ($lang == "kom")
	echo "<strong>Komi</strong> | ";
else
	echo "<a href=\"?lang=kom\">Komi</a> | ";

if ($lang == "myv")
	echo "<strong>Erzya</strong> | ";
else
	echo "<a href=\"?lang=myv\">Erzya</a> | ";

if ($lang == "mdf")
	echo "<strong>Moksha</strong> | ";
else
	echo "<a href=\"?lang=mdf\">Moksha</a> | ";

if ($lang == "mns")
	echo "<strong>Mansi</strong> || ";
else
	echo "<a href=\"?lang=mns\">Mansi</a> || ";


if ($lang == "tat")
	echo "<strong>Tatar</strong> | ";
else
	echo "<a href=\"?lang=tat\">Tatar</a> | ";

if ($lang == "bak")
	echo "<strong>Bashkir</strong> | ";
else
	echo "<a href=\"?lang=bak\">Bashkir</a> | ";

if ($lang == "chv")
	echo "<strong>Chuvash</strong> || ";
else
	echo "<a href=\"?lang=chv\">Chuvash</a> || ";

if ($lang == "rus")
	echo "<strong>Russian</strong></p>\n";
else
	echo "<a href=\"?lang=rus\">Russian</a></p>\n";	


echo "</td>\n";
echo "</tr>\n";
echo "</table>\n<br/>";	

echo "<br/><p><a href=\"./files/tr-manual.pdf\" class=\"cop-button cop-button-wide cop-margin-b-30\">Help and documentation</a><p>";

if ($lang != "x")
{
	$editField = $inField."\n";

	$x = substr_count ($editField, "[");
	$y = substr_count ($editField, "]");


	if ($x <> $y)
	{
		echo "<p><font color=\"red\"><b>NB! [Mismatched brackets]</b></font></p>";
		$editField = str_replace("[","", $editField);
		$editField = str_replace("]","", $editField)."]";
	}
	else
	{
		$editField = str_replace("[","]", $editField)."]";
	}

	$russian = -1;
	while (strpos($editField,"]") >-1)
	{
		$x = mb_strlen($editField, "UTF-8");
		$do = mb_substr($editField,0,mb_strpos($editField,"]", 0, "UTF-8"),"UTF-8");
		$editField = mb_substr($editField,mb_strpos($editField,"]", 0, "UTF-8")+1, mb_strlen($editField, "UTF-8"), "UTF-8");
		
		$tlang = $lang;

		if ($russian == 1)
			$tlang = "rus";
		
		$russian = $russian * (-1);

		switch ($dir) {
		case "cc":
			$outField = $outField.cyrprep($do, $tlang); 
			break;
		case "cl":
			$outField = $outField.cyr_to_lat(cyrprep($do, $tlang), $tlang, $assim); 
			break;
		case "cz":
			$outField = $outField.upa_to_zam(cyr_to_lat(cyrprep($do, $tlang), $tlang, $assim), $tlang); 
			break;
		case "ci":
			$outField = $outField.upa_to_ipa(cyr_to_lat(cyrprep($do, $tlang), $tlang, $assim), $tlang, $assim); 
			break;
		case "c9":
			$outField = $outField.cyr_to_iso(cyrprep($do, $tlang), $tlang); 
			break;	
		case "lc":
			$outField = $outField.cyrprep(lat_to_cyr(latprep($do, $tlang), $tlang), $tlang); 
			break;
		case "ll":
			$outField = $outField.latprep($do, $tlang); 
			break;
		case "lz":
			$outField = $outField.upa_to_zam(latprep($do, $tlang), $tlang); 
			break;
		case "li":
			$outField = $outField.upa_to_ipa(latprep($do, $tlang), $tlang, $assim); 
			break;
		case "l9":
			$outField = $outField.cyr_to_iso(cyrprep(lat_to_cyr(latprep($do, $tlang), $tlang), $tlang), $tlang); 
			break;
		case "zc":
			$outField = $outField.cyrprep(lat_to_cyr(zam_to_upa(zamprep($do, $tlang), $tlang), $tlang), $tlang); 
			break;
		case "zl":
			$outField = $outField.zam_to_upa(zamprep($do, $tlang), $tlang); 
			break;
		case "zz":
			$outField = $outField.zamprep($do, $tlang); 
			break;
		case "zi":
			$outField = $outField.upa_to_ipa(zam_to_upa(zamprep($do, $tlang), $tlang), $tlang, $assim); 
			break;
		case "z9":
			$outField = $outField.cyr_to_iso(cyrprep(lat_to_cyr(zam_to_upa(zamprep($do, $tlang), $tlang), $tlang), $tlang), $tlang); 
			break;	
		case "ic":
			$outField = $outField.cyrprep(lat_to_cyr(ipa_to_upa($do, $tlang), $tlang), $tlang); 
			break;
		case "il":
			$outField = $outField.ipa_to_upa($do, $tlang); 
			break;
		case "iz":
			$outField = $outField.upa_to_zam(ipa_to_upa($do, $tlang), $tlang); 
			break;
		case "i9":
			$outField = $outField.cyr_to_iso(cyrprep(lat_to_cyr(ipa_to_upa($do, $tlang), $tlang), $tlang), $tlang); 
			break;	
		case "9c":
			$outField = $outField.iso_to_cyr($do, $tlang); 
			break;
		case "9l":
			$outField = $outField.cyr_to_lat(iso_to_cyr($do, $tlang), $tlang, $assim); 
			break;
		case "9z":
			$outField = $outField.upa_to_zam(cyr_to_lat(iso_to_cyr($do, $tlang), $tlang, $assim), $tlang); 
			break;
		case "9i":
			$outField = $outField.upa_to_ipa(cyr_to_lat(iso_to_cyr($do, $tlang), $tlang, $assim), $tlang, $assim); 
			break;
		case "3c":
			$outField = $outField.thirtiesprep($do, $tlang); 
			break;
		case "3l":
			$outField = $outField.cyr_to_lat(thirtiesprep($do, $tlang), $tlang, $assim); 
			break;
		case "3z":
			$outField = $outField.upa_to_zam(cyr_to_lat(thirtiesprep($do, $tlang), $tlang, $assim) , $tlang); 
			break;
		case "3i":
			$outField = $outField.upa_to_ipa(cyr_to_lat(thirtiesprep($do, $tlang), $tlang, $assim), $tlang, $assim); 
			break;
		case "39":
			$outField = $outField.cyr_to_iso(thirtiesprep($do, $tlang), $tlang); 
			break;
		case "cn":
			$outField = $outField.lat_to_una(cyr_to_lat(cyrprep($do, $tlang), $tlang, $assim), $tlang); 
			break;
		case "ln":
			$outField = $outField.lat_to_una(latprep($do, $tlang), $tlang); 
			break;
		case "in":
			$outField = $outField.lat_to_una(ipa_to_upa($do, $tlang), $tlang); 
			break;
		case "3n":
			$outField = $outField.lat_to_una(cyr_to_lat(thirtiesprep($do, $tlang), $tlang, $assim), $tlang); 
			break;		
	}
		
		
	}

	$outField = disp($outField, $tlang);

	$outField = str_replace("\n","<br/>", $outField);


	echo "<form action=\"?lang=$lang\" method=\"post\">\n";

	echo"<table class=\"transform\" width =\"90%\">\n<tr>\n<td width=\"45%\" height=\"500\"><textarea name=\"inField\">$inField</textarea></td>\n<td width=\"10%\"><button type=\"submit\" class=\"bigbutton\">→<br/>→<br/>→<br/>→<br/>→</button></td>\n<td width=\"45%\"><div class=\"trans\">$outField</div></td>\n</tr>\n</table>\n<hr>\n";

	echo "<h3 class=\"cop-blue-text cop-section-title cop-margin-b-30\">Transcription Direction</h3>\n";

	echo "<table class=\"options\">\n<tr>\n<td class =\"strong_border_tl\"></td>\n";

	if ($lang == "tat")
		echo "<td class=\"with_border strong_border_bottom\">Cyrillic to ...</td><td class=\"with_border strong_border_bottom\">UPA to ...</td><td class=\"with_border strong_border_bottom\">Zamanälif to ...</td><td class=\"with_border strong_border_bottom\">IPA to ...</td><td class=\"with_border strong_border_bottom\">ISO 9 to ...</td><td class=\"strong_border_bottom\">Arabic to ...</td>\n";
	else if ($lang == "rus")
		echo "<td class=\"with_border strong_border_bottom\">Cyrillic to ...</td><td class=\"with_border strong_border_bottom\">Latin to ...</td><td class=\"with_border strong_border_bottom\">IPA to ...</td><td class=\"with_border strong_border_bottom\">ISO 9 to ...</td><td class=\"strong_border_bottom\">&lt; 1917 to ...</td>\n";
	else if ($lang == "mrj")
		echo "<td class=\"with_border strong_border_bottom\">Cyrillic to ...</td><td class=\"with_border strong_border_bottom\">Latin to ...</td><td class=\"with_border strong_border_bottom\">IPA to ...</td><td class=\"with_border strong_border_bottom\">ISO 9 to ...</td><td class=\"strong_border_bottom\">&lt; 1994 to ...</td>\n";
	else if ($lang == "mhr")
		echo "<td class=\"with_border strong_border_bottom\">Cyrillic to ...</td><td class=\"with_border strong_border_bottom\">Latin to ...</td><td class=\"with_border strong_border_bottom\">IPA to ...</td><td class=\"with_border strong_border_bottom\">ISO 9 to ...</td><td class=\"strong_border_bottom\">1930s to ...</td>\n";
	else if ($lang == "kom")
		echo "<td class=\"with_border strong_border_bottom\">Cyrillic to ...</td><td class=\"with_border strong_border_bottom\">Latin to ...</td><td class=\"with_border strong_border_bottom\">IPA to ...</td><td class=\"with_border strong_border_bottom\">ISO 9 to ...</td><td class=\"strong_border_bottom\">Molodtsov to ...</td>\n";
	else if ($lang == "bak")
		echo "<td class=\"with_border strong_border_bottom\">Cyrillic to ...</td><td class=\"with_border strong_border_bottom\">UPA to ...</td><td class=\"with_border strong_border_bottom\">Latin to ...</td><td class=\"with_border strong_border_bottom\">IPA to ...</td><td class=\"with_border strong_border_bottom\">ISO 9 to ...</td><td class=\"strong_border_bottom\">Arabic to ...</td>\n";
	else if ($lang == "mns")
		echo "<td class=\"with_border strong_border_bottom\">Cyrillic to ...</td><td class=\"with_border strong_border_bottom\">Latin (UPA, UNA) to ...</td><td class=\"with_border strong_border_bottom\">IPA to ...</td><td class=\"strong_border_bottom\">ISO 9 to ...</td>\n";

	else
		echo "<td class=\"with_border strong_border_bottom\">Cyrillic to ...</td><td class=\"with_border strong_border_bottom\">Latin to ...</td><td class=\"with_border strong_border_bottom\">IPA to ...</td><td class=\"strong_border_bottom\">ISO 9 to ...</td>\n";
	 

	echo "</tr>\n";

	echo "<tr>\n";
	echo "<td class=\"strong_border_right\">Cyrillic</td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"cc\" name=\"dir\"";

	if($dir == "cc"){echo " CHECKED";}

	echo "></td>\n";

	echo "<td class=\"with_border\"><input type=\"radio\" value=\"lc\" name=\"dir\"";
	if($dir == "lc"){echo " CHECKED";}
	echo "></td>\n";

	if ($lang == "tat" || $lang == "bak")
	{
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"zc\" name=\"dir\"";
		if($dir == "zc")
			echo " CHECKED";
		echo "></td>\n";
	}

	echo "<td class=\"with_border\"><input type=\"radio\" value=\"ic\" name=\"dir\"";
	if($dir == "ic"){echo " CHECKED";}
	echo "></td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"9c\" name=\"dir\"";
	if($dir == "9c"){echo " CHECKED";}
	echo "></td>\n";

	if ($lang == "tat" || $lang == "rus" || $lang == "mhr" || $lang == "mrj" || $lang == "kom" || $lang == "bak") 
	{
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"3c\" name=\"dir\"";
		if($dir == "3c")
			echo " CHECKED";
		echo "></td>\n";
	}

	echo "</tr>\n";

	echo "<tr>\n";
	echo "<td class=\"strong_border_right\">\n";
	
	
	if ($lang == "tat" || $lang == "bak")
		echo"UPA";
	else if ($lang == "chv" || $lang == "rus")
		echo"Latin";
	else
		echo"Latin (UPA)";
	
	
	
	echo "</td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"cl\" name=\"dir\"";
	if($dir == "cl"){echo " CHECKED";}
	echo "></td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"ll\" name=\"dir\"";
	if($dir == "ll"){echo " CHECKED";}
	echo "></td>\n";

	if ($lang == "tat" || $lang == "bak")
	{
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"zl\" name=\"dir\"";
		if($dir == "zl")
			echo " CHECKED";
		echo "></td>\n";
	}

	echo "<td class=\"with_border\"><input type=\"radio\" value=\"il\" name=\"dir\"";
	if($dir == "il"){echo " CHECKED";}
	echo "></td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"9l\" name=\"dir\"";
	if($dir == "9l"){echo " CHECKED";}
	echo "></td>\n";

	if ($lang == "tat" || $lang == "rus" || $lang == "mhr" || $lang == "mrj" || $lang == "kom" || $lang == "bak") 
	{
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"3l\" name=\"dir\"";
		if($dir == "3l")
			echo " CHECKED";
		echo "></td>\n";
	}

	echo "</tr>\n";


	if ($lang == "tat" || $lang == "bak")
	{
		echo "<tr>\n";
		
		if ($lang == "tat")
			echo "<td class=\"strong_border_right\">Zamanälif</td>\n";
		else
			echo "<td class=\"strong_border_right\">Latin</td>\n";
		
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"cz\" name=\"dir\"";
		if($dir == "cz")
			echo " CHECKED";
		echo "></td>\n";
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"lz\" name=\"dir\"";
		if($dir == "lz")
			echo " CHECKED";
		echo "></td>\n";
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"zz\" name=\"dir\"";
		if($dir == "zz")
			echo " CHECKED";
		echo "></td>\n";
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"iz\" name=\"dir\"";
		if($dir == "iz")
			echo " CHECKED";
		echo "></td>\n";
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"9z\" name=\"dir\"";
		if($dir == "9z")
			echo " CHECKED";
		echo "></td>\n";
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"3z\" name=\"dir\"";
		if($dir == "3z")
			echo " CHECKED";
		echo "></td>\n";
		echo "</tr>\n";
	}
	else if ($lang == "mns")
	{
		echo "<tr>\n";
		
		echo "<td class=\"strong_border_right\">UNA</td>\n";
				
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"cn\" name=\"dir\"";
		if($dir == "cn")
			echo " CHECKED";
		echo "></td>\n";
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"ln\" name=\"dir\"";
		if($dir == "ln")
			echo " CHECKED";
		echo "></td>\n";
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"in\" name=\"dir\"";
		if($dir == "in")
			echo " CHECKED";
		echo "></td>\n";
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"9n\" name=\"dir\"";
		if($dir == "9n")
			echo " CHECKED";
		echo "></td>\n";
		echo "</tr>\n";
	}
	

	echo "<tr>\n";
	echo "<td class=\"strong_border_right\">IPA</td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"ci\" name=\"dir\"";
	if($dir == "ci"){echo " CHECKED";}
	echo "></td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"li\" name=\"dir\"";
	if($dir == "li"){echo " CHECKED";}
	echo "></td>\n";

	if ($lang == "tat" || $lang == "bak")
	{
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"zi\" name=\"dir\"";
		if($dir == "zi")
			echo " CHECKED";
		echo "></td>\n";
	}

	echo "<td class=\"with_border\">-</td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"9i\" name=\"dir\"";
	if($dir == "9i"){echo " CHECKED";}
	echo "></td>\n";

	if ($lang == "tat" || $lang == "rus" || $lang == "mhr" || $lang == "mrj" || $lang == "kom" || $lang == "bak") 
	{
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"3i\" name=\"dir\"";
		if($dir == "3i")
			echo " CHECKED";
		echo "></td>\n";
	}

	echo "</tr>\n";

	echo "<tr>\n";
	echo "<td class=\"strong_border_right\">ISO 9</td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"c9\" name=\"dir\"";
	if($dir == "c9"){echo " CHECKED";}
	echo "></td>\n";
	echo "<td class=\"with_border\"><input type=\"radio\" value=\"l9\" name=\"dir\"";
	if($dir == "l9"){echo " CHECKED";}
	echo "></td>\n";

	if ($lang == "tat" || $lang == "bak")
	{
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"z9\" name=\"dir\"";
		if($dir == "z9")
			echo " CHECKED";
		echo "></td>\n";
	}

	echo "<td class=\"with_border\"><input type=\"radio\" value=\"i9\" name=\"dir\"";
	if($dir == "i9"){echo " CHECKED";}
	echo "></td>\n";
	echo "<td class=\"with_border\">-</td>\n";

	if ($lang == "tat" || $lang == "rus" || $lang == "mhr" || $lang == "mrj" || $lang == "kom" || $lang == "bak") 
	{
		echo "<td class=\"with_border\"><input type=\"radio\" value=\"39\" name=\"dir\"";
		if($dir == "39")
			echo " CHECKED";
		echo "></td>\n";
	}

	echo "</tr>\n";

	echo "</table>\n";


	if ($lang == "mhr" || $lang == "rus" || $lang == "tat" || $lang == "mdf")
	{
		echo "<br/>\n<input type=\"checkbox\" name=\"assim\"";
		if($assim)
			echo " CHECKED";
		echo "> Orthographically unmarked features (assimilation, etc.)\n";
	}
}
else
{
	echo "<p>Please select a language above.</p>";
}
?>


</form>


<hr>
<h2 class="cop-blue-text cop-section-title cop-margin-b-30">Contact Us</h2>

<form action="submit.php?page=trtr<?php if ($lang != "x") echo "-$lang"; ?>" method="post" class="contact-form">
	<div class="form-group">
		<input type="text" id="contact_name" name="contact_name" class="form-control" placeholder="Name"  required/>
	</div>
	<div class="form-group">
		<input type="email" id="contact_email" name="contact_email" class="form-control" placeholder="Email"  required/>
	</div>
	<div class="form-group">
		<textarea id="contact_message" name="contact_message" class="form-control" rows="18" placeholder="Message" required></textarea>
	</div>											
	<button type="submit" class="float-right cop-button">Send</button>
</form>	

<br/>
<hr>
<?php
	
	include('passwords.php');
	
	echo "<p class=\"cop-copyright-p\">Copyright &copy; <span class=\"cop-current-year\">$year</span> COPIUS, last update: $last</p>\n";

?>
<p>Quick Access: <a href="./index.php">Home </a>| <a href="./teaching.php">Activities </a>| <a href="./materials.php">Materials </a>| <a href="./tools.php">Tools </a> | <a href="./login.php">Log In</a></p>

</body>
</html>




</body>

</html>