﻿<!-- COPIUS Udmurt paradigm generator -->
<!-- Version 1.1, 11 March 2021 -->
<!-- Jeremy Bradley, jeremy.moss.bradley@univie.ac.at -->


<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>COPIUS - Udmurt Paradigm Generator</title>
    <link rel="icon" type="image" href="images/copius_logo.png">

    <!-- load stylesheets -->
	<link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet"> 
    <link rel="stylesheet" href="css/bootstrap.min.css">                                      <!-- Bootstrap style -->
    <!--link rel="stylesheet" href="css/magnific-popup.css"-->                                <!-- Magnific pop up style, http://dimsemenov.com/plugins/magnific-popup/ -->
    <link rel="stylesheet" href="css/style.css">                                   <!-- Templatemo style -->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
          <![endif]-->

<?php

$ny_nouns = array("выны", "ӝыны", "ӟаны", "йӧны", "кыны", "ноны", "нуны", "пуны", "пижны", "чусны", "чысны", "пинуны", "айыпуны", "кечйӧны", "ог-ӝыны", "пӧйноны", "синнуны", "йӧлойӧны", "мумыпуны", "пуныноны", "гоночысны", "чысны-пысны");
$y_nouns = array("бам", "быж", "вын", "гадь", "гырпум", "дыр", "йыл", "йыр", "ки", "кӧт", "кузпал", "кус", "кымес", "лул", "мылкыд", "ним", "нунал", "ныл", "арес", "сузэр", "ныр", "пал", "пель", "пельпум", "пинь", "пум", "суй", "пыд", "тыбыр", "пыдес", "син", "сюлэм", "тусбуй", "ул", "ым", "ымдур", "ымныр", "азь", "визь", "йырбер", "йыразь", "йырвизь", "урдэс", "ныд", "тыш", "сьӧм", "пуш", "пыдэс", "выл", "шор", "бер", "агай-вын", "азькыл", "азьпинь", "ал", "амал", "ан", "анткыл", "арлыд", "бамал", "басьтэмкыл", "беркыл", "берпумкыл", "бурд", "валлапал", "кӧтпуш", "кӧтпыдэс", "кӧтурдэс", "пыдтыш", "синпель", "суйпос", "сӥльвир", "кужым", "ичиен", "йылпум", "йыр-пыд", "йыртыш", "китыш", "визьнод", "вим", "виым", "выжул", "вырйыл", "гурул", "дун", "дур", "дӥнь", "дӥнькыл", "едӥнь", "езтыл", "еул", "зын", "инсьӧр", "йылпумкыл", "йырдон", "йырдун", "йырйыл", "йырпинь", "йӧлпыд", "каронкылтус", "каронним", "каронсям", "кем", "кибам", "кийыл", "киюмыл", "кунул", "кылпум", "кылрад", "кымыс", "кынар", "кырым", "кӧбер", "кӧй", "кӧйтыл ", "нет", "нимкыл", "нимтул", "нод", "нодкыл ", "нырйыл", "ньӧм", "огпал", "пумкыл", "пыдбам", "пыдбер", "пыдкӧт", "пыдул", "пыдвыл", "рад", "сарвыл", "сильбер", "сильвыл", "сильсьӧр", "сям", "сямкыл", "сӥтян", "сӥтянвыл", "тӧлбер", "улосвыл", "улоскыл", "урд", "чыртыбер", "шорлыд", "шӧм", "ӟигар", "ӟусдор");
$double_nounsА = array("син", "кус", "мыш", "нюлэс", "вис", "ин", "кык", "визь", "йырвизь", "урдэс", "кӧтпуш", "пуш", "пыдтыш", "суйпос", "йыртыш", "китыш");
$double_nounsБ = array("синм", "куск", "мышк", "нюлэск", "виск", "инм", "кыкт", "визьм", "йырвизьм", "урдэск", "кӧтпушк", "пушк", "пыдтышк", "суйпоск", "йыртышк", "китышк");
$pronouns = array("мон", "тон", "со", "ми", "тӥ", "соос", "ачим", "ачид", "ачиз", "асьмеос", "асьтэос", "асьсэос");

$consonants  = array ("б", "в", "г", "д", "ж", "ӝ", "з", "ӟ", "й", "к", "л", "м", "н", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ӵ", "ш", "щ", "ъ", "ь");
$vowels  = array ("а", "э", "ӥ", "о", "у", "я", "е", "и", "ё", "ю", "ӧ", "ы");
$voiceless = array ("к", "п", "с", "сь", "т", "ть", "ф", "х", "ц", "ч", "ӵ", "ш", "щ");

function fix_udm_ort ($text)
{
	global $consonants;
	global $vowels;	
	global $voiceless;
	
	if (strrpos($text,"X"))
	{
	
		$text = str_replace("ӧXE","ӧэ", $text);
		$text = str_replace("уXE","уэ", $text);
		
		if (mb_strlen(substr($text,0,strrpos($text,"X")),"UTF-8") < 3)
			$text = str_replace("ыXE","ыэ", $text);
		
		$text = str_replace("X","", $text);

	}
	
	for ($i = 0; $i < count($voiceless); $i++)
	{
		$text = str_replace($voiceless[$i]."D", $voiceless[$i]."т", $text);
		$text = str_replace($voiceless[$i]."Z", $voiceless[$i]."с", $text);
	}

	$text = str_replace("D","д", $text);
	$text = str_replace("Z","з", $text);


	$text = str_replace("оO","оё", $text);	

	$text = str_replace("иO","иё", $text);
	$text = str_replace("иI","ии", $text);
	
	
	$text = str_replace("ьA","я", $text);
	
	for ($i = 0; $i < count($vowels); $i++)
	{
		$text = str_replace($vowels[$i]."A", $vowels[$i]."я", $text);
	}

	$text = str_replace("ьE","е", $text);
	$text = str_replace("ьI","и", $text);
	$text = str_replace("ьO","ё", $text);
	$text = str_replace("ьU","ю", $text);	

	$text = str_replace("йA","я", $text);		
	$text = str_replace("йE","е", $text);
	$text = str_replace("йO","ё", $text);
	$text = str_replace("йU","ю", $text);	
	
	$text = str_replace("тE","тэ", $text);
	$text = str_replace("тI","тӥ", $text);

	$text = str_replace("дE","дэ", $text);
	$text = str_replace("дI","дӥ", $text);

	$text = str_replace("сE","сэ", $text);
	$text = str_replace("сI","сӥ", $text);

	$text = str_replace("зE","зэ", $text);
	$text = str_replace("зI","зӥ", $text);

	$text = str_replace("нE","нэ", $text);
	$text = str_replace("нI","нӥ", $text);

	$text = str_replace("лE","лэ", $text);
	$text = str_replace("лI","лӥ", $text);

	$text = str_replace("A","а", $text);		
	$text = str_replace("E","е", $text);
	$text = str_replace("I","и", $text);
	$text = str_replace("O","о", $text);
	$text = str_replace("U","у", $text);
	
	
	$text = str_replace("ьъ","ь", $text);
	$text = str_replace("йъ","й", $text);
	
	$text = str_replace("аъё","ао", $text);
	$text = str_replace("эъё","эо", $text);
	$text = str_replace("ӥъё","ӥо", $text);
	$text = str_replace("оъё","оо", $text);
	$text = str_replace("уъё","уо", $text);
	
	$text = str_replace("яъё","яо", $text);
	$text = str_replace("еъё","ео", $text);
	$text = str_replace("иъё","ио", $text);
	$text = str_replace("ёъё","ёо", $text);
	$text = str_replace("юъё","юо", $text);	

	$text = str_replace("ӧъё","ӧо", $text);
	$text = str_replace("ыъё","ыо", $text);

	$text = str_replace("аъ","а", $text);
	$text = str_replace("эъ","э", $text);
	$text = str_replace("ӥъ","ӥ", $text);
	$text = str_replace("оъ","о", $text);
	$text = str_replace("уъ","у", $text);
	
	$text = str_replace("яъ","я", $text);
	$text = str_replace("еъ","е", $text);
	$text = str_replace("иъ","и", $text);
	$text = str_replace("ёъ","ё", $text);
	$text = str_replace("юъ","ю", $text);	

	$text = str_replace("ӧъ","ӧ", $text);
	$text = str_replace("ыъ","ы", $text);






	
	
	return ($text);
}

function choose_udm_ort ($text, $ort)
{
	if ($ort == 1)
		return (cyr_to_lat($text, "udm", false));
	else if ($ort == 2)
		return (upa_to_ipa(cyr_to_lat($text, "udm", false), "udm", false));
	
	return ($text);	
}


header("Content-type: text/html; charset=utf-8");
include('functions.php');
include('passwords.php');

$gen = ""; // Word to have its paradigm generated
$ort = 0;	// Orthography used: 0 - Cyrillic, 1 - UPA, 2 - IPA
$pos = 0; // Part of speech: 0 - noun, 1 - verb, 2 - personal pronoun

if(isset($_GET['gen']))
{
	$gen = $_GET['gen'];
}

if(isset($_GET['ort']))
{
	$ort = $_GET['ort'];
	if ($ort != 1 && $ort != 2)
		$ort = 0;
}

if(isset($_POST["inField"]))
{
	$gen = $_POST["inField"];
}

$gen = cyrprep(lat_to_cyr(latprep($gen, "udm"), "udm"), "udm");	

$gen = str_replace("€","'", $gen);
$gen = str_replace("£","•", $gen);

?>


</head>

<body>
	<div class="container">
        <div class="row">
            <div class="cop-left-right-container">
				<!-- Left column: logo and menu -->
				<div class="cop-blue-bg cop-left-column">						
					<div class="cop-logo-div text-xs-center">
						<img src="images/copius_logo_white-bg.png" alt="Copius" class="img-fluid">
						<!--h1 class="cop-site-name"><a href="./index.php">copius.eu</a></h1-->
					</div>
					<nav class="cop-main-nav">
						<ul class="cop-main-nav-ul">
							<li class="cop-nav-item">
								<a href="./index.php" class ="cop-nav-item-link">HOME</a>
							</li>
							<li class="cop-nav-item">
								<a href="./teaching.php" class="cop-nav-item-link">TEACHING ACTIVITIES</a>
							</li>
							<li class="cop-nav-item">
								<a href="./materials.php" class="cop-nav-item-link">TEACHING MATERIALS</a>
							</li>
							<li class="cop-nav-item">
								<a href="./tools.php" class="cop-nav-item-link">TOOLS</a>
							</li>
							<!--li class="cop-nav-item-small">
									<a href="#top" class="cop-nav-item-link">About</a>
								</li-->
								<li class="cop-nav-item-small">
									<a href="./ortho.php" class="cop-nav-item-link">Transcription & orthography toolset</a>
								</li>
								<li class="cop-nav-item-small">
									<a href="./tools.php#biblio" class="cop-nav-item-link">Uralic Core Bibliography</a>
								</li>
								<li class="cop-nav-item-small">
									<a href="" class="cop-nav-item-link">▶ Udmurt paradigm generator</a>
								</li>
								<li class="cop-nav-item-feedback">
									<a href="./tools.php#feedback" class="cop-nav-item-link">Feedback</a>
								</li>
							<!--li class="cop-nav-item">
								<a href="./partners.php" class="cop-nav-item-link">PARTNERS</a>
							</li-->
							<li class="cop-nav-item-login">
								<a href="./login.php" class="cop-nav-item-link">Log In For Students</a>
							</li>
						</ul>
					</nav>										 
				</div> <!-- Left column: logo and menu -->
					
				<!-- Right column: content -->
				<div class="cop-right-column">
					<a name="top"></a>
				<a href="#top" id="topbutton">To the top</a>
					<div class="cop-content-div">
					<!-- Welcome section -->
					<section id="top" class="cop-section">
						<header>
							<h2 class="cop-blue-text cop-welcome-title cop-margin-b-45">Udmurt Paradigm Generator</h2>
						</header>

<?php

	if ($gen == "")
	{
		echo "<p>Enter a noun or pronoun (nominative singular), or verb (infinitive), and press \"generate\".</p><p>You can enter it in Latin or Cyrillic.</p>\n";		
	}


	echo "<form action=\"?gen=$gen&amp;ort=$ort\" method=\"post\">\n";
	
	echo "<p><input type=\"text\" id=\"contact_name\" name=\"inField\" class=\"form-control\" autofocus=\"autofocus\" value=";
	
	if (mb_strlen($gen) > 0)
	{
		echo "\"$gen\"";
	} 
	else
	{
		echo "\"\"";
	} 
	
	

	echo "<p>Writing system: ";

	if ($ort == 2)
	{
		echo "<a href=\"?gen=$gen&amp;ort=0\">○ Cyrillic</a> | <a href=\"?gen=$gen&amp;ort=1\">○ UPA (FUT)</a> | <strong> ● IPA</strong>";
	}
	else if ($ort == 1)
	{
		echo "<a href=\"?gen=$gen&amp;ort=0\">○ Cyrillic</a> | <strong> ● UPA (FUT) </strong> | <a href=\"?gen=$gen&amp;ort=2\">○ IPA</a>";
	}
	else
	{
		echo "<strong> ● Cyrillic</strong> | <a href=\"?gen=$gen&amp;ort=1\">○ UPA (FUT)</a> | <a href=\"?gen=$gen&amp;ort=2\">○ IPA</a>";
	}
	
	echo "</p>\n<button type=\"submit\" class=\"float-right cop-button\">Submit</button>\n";

	echo "</p>\n</form>\n";
	
	$gen = mb_strtolower("¤".$gen."¤", "UTF-8");
	
	while (strpos($gen,"  "))
		$gen = str_replace("  "," ",$gen);

	while (strpos($gen,"¤ "))
		$gen = str_replace("¤ ","¤",$gen);	
	
	while (strpos($gen," ¤"))
		$gen = str_replace(" ¤","¤",$gen);
	
	$gen = str_replace("¤","",$gen);
	
	if (in_array ($gen, $pronouns))
		$pos = 2;
	else
	{
		$gen = $gen."¤";
		
		if (strpos($gen,"аны¤") || strpos($gen,"яны¤") || strpos($gen,"ыны¤"))
		{
			$gen = str_replace("¤","",$gen);	
			
			if (in_array ($gen, $ny_nouns))
				$pos = 0;
			else
				$pos = 1;
		}
	}
	
	$gen = str_replace("¤","",$gen);		
	
	if ($gen == "")
	{
		
	}
	else if ($pos == 0)
	{
		$px_vowel = "E";
		
		if (in_array ($gen, $y_nouns))
			$px_vowel = "ы";
		
		$stem1 = str_replace("ия¤","и",$gen."¤");	
		$stem1 = str_replace("ие¤","и",$stem1);	
		$stem1 = str_replace("¤","",$stem1);	
		
		$stem2 = $stem1;
		
		if (in_array ($gen, $double_nounsА))
		{
			$x = array_search ($gen, $double_nounsА);
			$stem2 = $double_nounsБ[$x];
		}

		echo "<hr><h3 class=\"cop-blue-text cop-section-title cop-margin-b-30\">Case (singular and plural)</h3>\n";			
			
		echo "<table class=\"paradigm_table\">\n";
		
		
		

		
		
		$NomS = choose_udm_ort($gen, $ort);		
		$NomP = choose_udm_ort(fix_udm_ort ($stem1."ъёс"), $ort);
		
		
		$GenS = choose_udm_ort($stem1."лэн", $ort);		
		$GenP = choose_udm_ort($NomP."лэн", $ort);		

		
		$AblS = choose_udm_ort($stem1."лэсь", $ort);		
		$AblP = choose_udm_ort($NomP."лэсь", $ort);			
			
			
		$DatS = choose_udm_ort($stem1."лы", $ort);		
		$DatP = choose_udm_ort($NomP."лы", $ort);		

		
		$AccS = choose_udm_ort(fix_udm_ort ($stem1."XEз"), $ort);
		$AccP = choose_udm_ort($NomP."ты ~ ".$NomP."ыз", $ort);	
		
		
		if ($px_vowel == "ы")
			$InsS = choose_udm_ort($stem2."ын", $ort);			
		else
			$InsS = choose_udm_ort(fix_udm_ort ($stem1."XEн"), $ort);
		
		$InsP = choose_udm_ort($NomP."ын", $ort);	
		
		
		$AbeS = choose_udm_ort($stem1."тэк", $ort);		
		$AbeP = choose_udm_ort($NomP."тэк", $ort);	

		
		if ($stem2 == "корка" || $stem2 == "куала")
			$IneS = choose_udm_ort($stem2."н", $ort);	
		else	
			$IneS = choose_udm_ort($stem2."ын", $ort);	
		
		$IneP = choose_udm_ort($NomP."ын", $ort);	
		

		if ($stem2 == "корка" || $stem2 == "куала")
			$ElaS = choose_udm_ort($stem2."сь", $ort);	
		else	
			$ElaS = choose_udm_ort($stem2."ысь", $ort);	
		
		$ElaP = choose_udm_ort($NomP."ысь", $ort);	

		
		if ($stem2 == "корка" || $stem2 == "куала")
			$IllS = choose_udm_ort($stem2, $ort);	
		else if (strpos($stem2."¤","к¤"))
			$IllS = choose_udm_ort($stem2."ы", $ort);
		else if (strpos($gen."¤","ия¤") || strpos($gen."¤","ие¤"))
			$IllS = choose_udm_ort($stem2."е", $ort);
		else
			$IllS = choose_udm_ort(fix_udm_ort ($stem2."E"), $ort);
		
		$IllP = choose_udm_ort($NomP."ы", $ort);	

		
		$AppS = choose_udm_ort($stem1."лань", $ort);		
		$AppP = choose_udm_ort($NomP."лань", $ort);			
		
		if ($stem2 == "корка" || $stem2 == "куала")
			$EgrS = choose_udm_ort($stem2."сен", $ort);	
		else	
			$EgrS = choose_udm_ort($stem2."ысен", $ort);	
		
		$EgrP = choose_udm_ort($NomP."ысен", $ort);
		
		
		$ProS = choose_udm_ort(fix_udm_ort ($stem2."X".$px_vowel."тӥ ~ ".$stem1."тӥ"), $ort);
		$ProP = choose_udm_ort($NomP."тӥ", $ort);
		
		if (strpos($gen."¤","ия¤") || strpos($gen."¤","ие¤"))
			$TerS = choose_udm_ort($stem2."oзь", $ort);
		else
			$TerS = choose_udm_ort(fix_udm_ort ($stem2."Oзь"), $ort);
		$TerP = choose_udm_ort($NomP."озь", $ort);	
		
		
		if (strpos($gen."¤","ия¤") || strpos($gen."¤","ие¤"))
			$AdvS = choose_udm_ort($gen."я", $ort);
		else
			$AdvS = choose_udm_ort(fix_udm_ort ($stem1."ъя"), $ort);
		$AdvP = choose_udm_ort($NomP."ъя", $ort);	
		
		
		
		
		
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural</strong></td></tr>\n";

		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Nominative</strong></td><td class=\"paradigm_table_cell\">$NomS</td><td class=\"paradigm_table_cell\">$NomP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Accusative</strong></td><td class=\"paradigm_table_cell\">$AccS</td><td class=\"paradigm_table_cell\">$AccP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Genitive</strong></td><td class=\"paradigm_table_cell\">$GenS</td><td class=\"paradigm_table_cell\">$GenP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Ablative</strong></td><td class=\"paradigm_table_cell\">$AblS</td><td class=\"paradigm_table_cell\">$AblP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Dative</strong></td><td class=\"paradigm_table_cell\">$DatS</td><td class=\"paradigm_table_cell\">$DatP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Instrumental</strong></td><td class=\"paradigm_table_cell\">$InsS</td><td class=\"paradigm_table_cell\">$InsP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Abessive</strong></td><td class=\"paradigm_table_cell\">$AbeS</td><td class=\"paradigm_table_cell\">$AbeP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Adverbial</strong></td><td class=\"paradigm_table_cell\">$AdvS</td><td class=\"paradigm_table_cell\">$AdvP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Inessive</strong></td><td class=\"paradigm_table_cell\">$IneS</td><td class=\"paradigm_table_cell\">$IneP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Illative</strong></td><td class=\"paradigm_table_cell\">$IllS</td><td class=\"paradigm_table_cell\">$IllP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Elative</strong></td><td class=\"paradigm_table_cell\">$ElaS</td><td class=\"paradigm_table_cell\">$ElaP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Egressive</strong></td><td class=\"paradigm_table_cell\">$EgrS</td><td class=\"paradigm_table_cell\">$EgrP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Prolative</strong></td><td class=\"paradigm_table_cell\">$ProS</td><td class=\"paradigm_table_cell\">$ProP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Terminative</strong></td><td class=\"paradigm_table_cell\">$TerS</td><td class=\"paradigm_table_cell\">$TerP</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Approximative</strong></td><td class=\"paradigm_table_cell\">$AppS</td><td class=\"paradigm_table_cell\">$AppP</td></tr>\n";
		echo "</table>\n";	
	
	
		if ($px_vowel == "ы")
		{
			$S1S = choose_udm_ort($stem2."ы", $ort);
			$S2S = choose_udm_ort($stem2."ыд", $ort);
			$S3S = choose_udm_ort($stem2."ыз", $ort);
		}
		else
		{
			$S1S = choose_udm_ort(fix_udm_ort ($stem1."XE"), $ort);
			$S2S = choose_udm_ort(fix_udm_ort ($stem1."XEд"), $ort);
			$S3S = choose_udm_ort(fix_udm_ort ($stem1."XEз"), $ort);			
		}

		$S1P = choose_udm_ort($stem1."мы", $ort);
		$S2P = choose_udm_ort(fix_udm_ort($stem1."Dы"), $ort);
		$S3P = choose_udm_ort(fix_udm_ort($stem1."Zы"), $ort);	
	
		$P1S = choose_udm_ort($NomP."ы", $ort);
		$P2S = choose_udm_ort($NomP."ыд", $ort);
		$P3S = choose_udm_ort($NomP."ыз", $ort);
		$P1P = choose_udm_ort($NomP."мы", $ort);
		$P2P = choose_udm_ort($NomP."ты", $ort);
		$P3P = choose_udm_ort($NomP."сы", $ort);
	
	
		echo "<hr><h3  class=\"cop-blue-text cop-section-title cop-margin-b-30\">Possessive suffixes (all cases, singular and plural)</h3>\n";			

		echo "<h4 class=\"cop-subsection-title\">Nominative</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$NomS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$NomP</strong></td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1S</td><td  class=\"paradigm_table_cell\">$P1S</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2S</td><td class=\"paradigm_table_cell\">$P2S</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3S</td><td class=\"paradigm_table_cell\">$P3S</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1P</td><td class=\"paradigm_table_cell\">$P1P</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2P</td><td class=\"paradigm_table_cell\">$P2P</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3P</td><td class=\"paradigm_table_cell\">$P3P</td></tr>\n";
		echo "</table>\n";
		
		$S1St = choose_udm_ort($stem1."ме", $ort);
		$S2St = choose_udm_ort(fix_udm_ort($stem1."Dэ"), $ort);
		$S3St = choose_udm_ort(fix_udm_ort($stem1."Zэ"), $ort);
		$S1Pt = choose_udm_ort($stem1."мес", $ort);
		$S2Pt = choose_udm_ort(fix_udm_ort($stem1."Dэс"), $ort);
		$S3Pt = choose_udm_ort(fix_udm_ort($stem1."Zэс"), $ort);	
	
		$P1St = choose_udm_ort($NomP."ме", $ort);
		$P2St = choose_udm_ort($NomP."тэ", $ort);
		$P3St = choose_udm_ort($NomP."сэ", $ort);
		$P1Pt = choose_udm_ort($NomP."мес", $ort);
		$P2Pt = choose_udm_ort($NomP."тэс", $ort);
		$P3Pt = choose_udm_ort($NomP."сэс", $ort);
		
		echo "<h4 class=\"cop-subsection-title\">Accusative</h4>\n";	

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$AccS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$AccP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";
		
		$ending = choose_udm_ort("лэн", $ort);
		
		$S1St = $S1S.$ending;
		$S2St = $S2S.$ending;
		$S3St = $S3S.$ending;
		$S1Pt = $S1P.$ending;
		$S2Pt = $S2P.$ending;
		$S3Pt =	$S3P.$ending;
		
		$P1St = $P1S.$ending;
		$P2St = $P2S.$ending;
		$P3St = $P3S.$ending;
		$P1Pt = $P1P.$ending;
		$P2Pt = $P2P.$ending;
		$P3Pt =	$P3P.$ending;
		
		echo "<h4 class=\"cop-subsection-title\">Genitive</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$GenS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$GenP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";
		
		$ending = choose_udm_ort("лэсь", $ort);
		
		$S1St = $S1S.$ending;
		$S2St = $S2S.$ending;
		$S3St = $S3S.$ending;
		$S1Pt = $S1P.$ending;
		$S2Pt = $S2P.$ending;
		$S3Pt =	$S3P.$ending;
		
		$P1St = $P1S.$ending;
		$P2St = $P2S.$ending;
		$P3St = $P3S.$ending;
		$P1Pt = $P1P.$ending;
		$P2Pt = $P2P.$ending;
		$P3Pt =	$P3P.$ending;
		
		echo "<h4 class=\"cop-subsection-title\">Ablative</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$AblS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$AblP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";			
		
		$ending = choose_udm_ort("лы", $ort);
		
		$S1St = $S1S.$ending;
		$S2St = $S2S.$ending;
		$S3St = $S3S.$ending;
		$S1Pt = $S1P.$ending;
		$S2Pt = $S2P.$ending;
		$S3Pt =	$S3P.$ending;
		
		$P1St = $P1S.$ending;
		$P2St = $P2S.$ending;
		$P3St = $P3S.$ending;
		$P1Pt = $P1P.$ending;
		$P2Pt = $P2P.$ending;
		$P3Pt =	$P3P.$ending;

	
		echo "<h4 class=\"cop-subsection-title\">Dative</h4>\n";	

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$DatS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$DatP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";

		$S1St = choose_udm_ort($InsS."ым", $ort);
		$S2St = choose_udm_ort($InsS."ыд", $ort);
		$S3St = choose_udm_ort($InsS."ыз", $ort);
		$S1Pt = choose_udm_ort($InsS."ымы", $ort);
		$S2Pt = choose_udm_ort($InsS."ыды", $ort);
		$S3Pt = choose_udm_ort($InsS."ызы", $ort);

		$P1St = choose_udm_ort($InsP."ым", $ort);
		$P2St = choose_udm_ort($InsP."ыд", $ort);
		$P3St = choose_udm_ort($InsP."ыз", $ort);
		$P1Pt = choose_udm_ort($InsP."ымы", $ort);
		$P2Pt = choose_udm_ort($InsP."ыды", $ort);
		$P3Pt = choose_udm_ort($InsP."ызы", $ort);		
		
		echo "<h4 class=\"cop-subsection-title\">Instrumental</h4>\n";		

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$InsS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$InsP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";

		$ending = choose_udm_ort("тэк", $ort);
		
		$S1St = $S1S.$ending;
		$S2St = $S2S.$ending;
		$S3St = $S3S.$ending;
		$S1Pt = $S1P.$ending;
		$S2Pt = $S2P.$ending;
		$S3Pt =	$S3P.$ending;
		
		$P1St = $P1S.$ending;
		$P2St = $P2S.$ending;
		$P3St = $P3S.$ending;
		$P1Pt = $P1P.$ending;
		$P2Pt = $P2P.$ending;
		$P3Pt =	$P3P.$ending;		
		
		echo "<h4 class=\"cop-subsection-title\">Abessive</h4>\n";	

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$AbeS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$AbeP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";


		$ending = choose_udm_ort("я", $ort);
		$endingB = choose_udm_ort("ъя", $ort);
		
		$S1St = $S1S.$ending;
		$S2St = $S2S.$endingB;
		$S3St = $S3S.$endingB;
		$S1Pt = $S1P.$ending;
		$S2Pt = $S2P.$ending;
		$S3Pt =	$S3P.$ending;
		
		$P1St = $P1S.$ending;
		$P2St = $P2S.$endingB;
		$P3St = $P3S.$endingB;
		$P1Pt = $P1P.$ending;
		$P2Pt = $P2P.$ending;
		$P3Pt =	$P3P.$ending;		
		
		echo "<h4 class=\"cop-subsection-title\">Adverbial</h4>\n";			
		
		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$AdvS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$AdvP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";	
		

		$S1Sloc = choose_udm_ort(fix_udm_ort($stem2."Aм"), $ort);	
		$S2Sloc = choose_udm_ort(fix_udm_ort($stem2."Aд"), $ort);	
		$S3Sloc = choose_udm_ort(fix_udm_ort($stem2."Aз"), $ort);	
		$S1Ploc = choose_udm_ort(fix_udm_ort($stem2."Aмы"), $ort);	
		$S2Ploc = choose_udm_ort(fix_udm_ort($stem2."Aды"), $ort);	
		$S3Ploc = choose_udm_ort(fix_udm_ort($stem2."Aзы"), $ort);	
	
		$P1Sloc = $NomP.choose_udm_ort("ам", $ort);
		$P2Sloc = $NomP.choose_udm_ort("ад", $ort);
		$P3Sloc = $NomP.choose_udm_ort("аз", $ort);
		$P1Ploc = $NomP.choose_udm_ort("амы", $ort);
		$P2Ploc = $NomP.choose_udm_ort("ады", $ort);
		$P3Ploc = $NomP.choose_udm_ort("азы", $ort);		




			
		
		echo "<h4 class=\"cop-subsection-title\">Inessive</h4>\n";	

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$IneS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$IneP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1Sloc</td><td class=\"paradigm_table_cell\">$P1Sloc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2Sloc</td><td class=\"paradigm_table_cell\">$P2Sloc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3Sloc</td><td class=\"paradigm_table_cell\">$P3Sloc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Ploc</td><td class=\"paradigm_table_cell\">$P1Ploc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Ploc</td><td class=\"paradigm_table_cell\">$P2Ploc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Ploc</td><td class=\"paradigm_table_cell\">$P3Ploc</td></tr>\n";
		echo "</table>\n";
		
		echo "<h4 class=\"cop-subsection-title\">Illative</h4>\n";		

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$IllS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$IllP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1Sloc</td><td class=\"paradigm_table_cell\">$P1Sloc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2Sloc</td><td class=\"paradigm_table_cell\">$P2Sloc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3Sloc</td><td class=\"paradigm_table_cell\">$P3Sloc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Ploc</td><td class=\"paradigm_table_cell\">$P1Ploc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Ploc</td><td class=\"paradigm_table_cell\">$P2Ploc</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Ploc</td><td class=\"paradigm_table_cell\">$P3Ploc</td></tr>\n";
		echo "</table>\n";
		

		$S1St = $ElaS.choose_udm_ort("тым", $ort);
		$S2St = $ElaS.choose_udm_ort("тыд", $ort);
		$S3St = $ElaS.choose_udm_ort("тыз", $ort);
		$S1Pt = $ElaS.choose_udm_ort("тымы", $ort);
		$S2Pt = $ElaS.choose_udm_ort("тыды", $ort);
		$S3Pt = $ElaS.choose_udm_ort("тызы", $ort);	
	
		$P1St = $ElaP.choose_udm_ort("тым", $ort);
		$P2St = $ElaP.choose_udm_ort("тыд", $ort);
		$P3St = $ElaP.choose_udm_ort("тыз", $ort);
		$P1Pt = $ElaP.choose_udm_ort("тымы", $ort);
		$P2Pt = $ElaP.choose_udm_ort("тыды", $ort);
		$P3Pt = $ElaP.choose_udm_ort("тызы", $ort);

		echo "<h4 class=\"cop-subsection-title\">Elative</h4>\n";	

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$ElaS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$ElaP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";	

		
		$S1St = choose_udm_ort($EgrS."ым", $ort);
		$S2St = choose_udm_ort($EgrS."ыд", $ort);
		$S3St = choose_udm_ort($EgrS."ыз", $ort);
		$S1Pt = choose_udm_ort($EgrS."ымы", $ort);
		$S2Pt = choose_udm_ort($EgrS."ыды", $ort);
		$S3Pt = choose_udm_ort($EgrS."ызы", $ort);

		$P1St = choose_udm_ort($EgrP."ым", $ort);
		$P2St = choose_udm_ort($EgrP."ыд", $ort);
		$P3St = choose_udm_ort($EgrP."ыз", $ort);
		$P1Pt = choose_udm_ort($EgrP."ымы", $ort);
		$P2Pt = choose_udm_ort($EgrP."ыды", $ort);
		$P3Pt = choose_udm_ort($EgrP."ызы", $ort);	
		
		echo "<h4 class=\"cop-subsection-title\">Egressive</h4>\n";	
		
		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$EgrS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$EgrP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";
		
		$S1St = choose_udm_ort($ProS."м", $ort);
		$S2St = choose_udm_ort($ProS."д", $ort);
		$S3St = choose_udm_ort($ProS."з", $ort);
		$S1Pt = choose_udm_ort($ProS."мы", $ort);
		$S2Pt = choose_udm_ort($ProS."ды", $ort);
		$S3Pt = choose_udm_ort($ProS."зы", $ort);
		
		$S1St = str_replace(" ~ ", choose_udm_ort("м ~ ", $ort), $S1St);
		$S2St = str_replace(" ~ ", choose_udm_ort("д ~ ", $ort), $S2St);
		$S3St = str_replace(" ~ ", choose_udm_ort("з ~ ", $ort), $S3St);
		$S1Pt = str_replace(" ~ ", choose_udm_ort("мы ~ ", $ort), $S1Pt);
		$S2Pt = str_replace(" ~ ", choose_udm_ort("ды ~ ", $ort), $S2Pt);
		$S3Pt = str_replace(" ~ ", choose_udm_ort("зы ~ ", $ort), $S3Pt);

		$P1St = choose_udm_ort($ProP."м", $ort);
		$P2St = choose_udm_ort($ProP."д", $ort);
		$P3St = choose_udm_ort($ProP."з", $ort);
		$P1Pt = choose_udm_ort($ProP."мы", $ort);
		$P2Pt = choose_udm_ort($ProP."ды", $ort);
		$P3Pt = choose_udm_ort($ProP."зы", $ort);	

		echo "<h4 class=\"cop-subsection-title\">Prolative</h4>\n";			
		
		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$ProS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$ProP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";
		
		
		
		if (strpos($gen."¤","ия¤") || strpos($gen."¤","ие¤"))
			$TerSx = choose_udm_ort($stem2."oзя", $ort);
		else
			$TerSx = choose_udm_ort(fix_udm_ort ($stem2."Oзя"), $ort);
		$TerPx = choose_udm_ort($NomP."озя", $ort);	
			
		$S1St = choose_udm_ort($TerSx."м", $ort);
		$S2St = choose_udm_ort($TerSx."д", $ort);
		$S3St = choose_udm_ort($TerSx."з", $ort);
		$S1Pt = choose_udm_ort($TerSx."мы", $ort);
		$S2Pt = choose_udm_ort($TerSx."ды", $ort);
		$S3Pt = choose_udm_ort($TerSx."зы", $ort);

		$P1St = choose_udm_ort($TerPx."м", $ort);
		$P2St = choose_udm_ort($TerPx."д", $ort);
		$P3St = choose_udm_ort($TerPx."з", $ort);
		$P1Pt = choose_udm_ort($TerPx."мы", $ort);
		$P2Pt = choose_udm_ort($TerPx."ды", $ort);
		$P3Pt = choose_udm_ort($TerPx."зы", $ort);	
		

		echo "<h4 class=\"cop-subsection-title\">Terminative</h4>\n";		

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$TerS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$TerP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";
		
		
		$ending = choose_udm_ort("лань", $ort);
		
		$S1St = $S1S.$ending;
		$S2St = $S2S.$ending;
		$S3St = $S3S.$ending;
		$S1Pt = $S1P.$ending;
		$S2Pt = $S2P.$ending;
		$S3Pt =	$S3P.$ending;
		
		$P1St = $P1S.$ending;
		$P2St = $P2S.$ending;
		$P3St = $P3S.$ending;
		$P1Pt = $P1P.$ending;
		$P2Pt = $P2P.$ending;
		$P3Pt =	$P3P.$ending;		
		
		
		
		
		
		echo "<h4 class=\"cop-subsection-title\">Approximative</h4>\n";		

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Singular<br>$AppS</strong></td><td class=\"paradigm_table_first_row\"><strong>Plural<br>$AppP</strong></td></tr>\n";		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$S1St</td><td class=\"paradigm_table_cell\">$P1St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$S2St</td><td class=\"paradigm_table_cell\">$P2St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$S3St</td><td class=\"paradigm_table_cell\">$P3St</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$S1Pt</td><td class=\"paradigm_table_cell\">$P1Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$S2Pt</td><td class=\"paradigm_table_cell\">$P2Pt</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$S3Pt</td><td class=\"paradigm_table_cell\">$P3Pt</td></tr>\n";
		echo "</table>\n";

		
	/*	echo "<hr><h3  class=\"cop-blue-text cop-section-title cop-margin-b-30\">Derivational morphology (excerpt)</h3>\n";
		
		$x1 = choose_udm_ort(fix_udm_ort ($stem2."O"), $ort);
		$x2 = choose_udm_ort($stem1."тэм", $ort);
		
		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>with ...</strong></td><td class=\"paradigm_table_cell\">$x1</td>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>without ...</strong></td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		echo "</table>\n"; */	
	
	}
	else if ($pos == 1)
	{
		$conj = 2;
		
		$gen = $gen."¤";
	
		if (strpos($gen,"аны¤") || strpos($gen,"яны¤"))
		{
			$stemE = str_replace("ны¤","",$gen);
			$stemI = $stemE;
			$stemO = $stemE;
			$stemY = $stemE;
			$stemN = $stemE;
		}
		else
		{
			$conj = 1;
			$stemE = str_replace("ыны¤","E",$gen);
			$stemI = str_replace("ыны¤","I",$gen);
			$stemO = str_replace("ыны¤","O",$gen);
			$stemY = str_replace("ны¤","",$gen);
			$stemN = str_replace("ыны¤","",$gen);
			
			$stemE = fix_udm_ort ($stemE);
			$stemI = fix_udm_ort ($stemI);
			$stemO = fix_udm_ort ($stemO);
		}
		
		
		
		
		

		
		
		
		
		
			
		echo "<h4 class=\"cop-subsection-title\">Indicative present</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Positive</strong></td><td class=\"paradigm_table_first_row\"><strong>Negative</strong></td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."сько", $ort);
			$x2 = choose_udm_ort("уг ".$stemI."ськы", $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."ськод", $ort);
			$x2 = choose_udm_ort("уд ".$stemI."ськы", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemE, $ort);
			$x2 = choose_udm_ort("уг ".$stemY, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."ськом(ы)", $ort);
			$x2 = choose_udm_ort("ум ".$stemI."ське", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."ськоды", $ort);
			$x2 = choose_udm_ort("уд ".$stemI."ське", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
		if ($conj == 2)
		{
			$x1 = choose_udm_ort($stemO."ло", $ort);
			$x2 = choose_udm_ort("уг ".$stemO."ло", $ort);			
		}
		else
		{
			$x1 = choose_udm_ort($stemO, $ort);
			$x2 = choose_udm_ort("уг ".$stemO, $ort);					
		}
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		echo "</table>\n";
	
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		$stemOfut = $stemO;
		
		if ($conj == 2)
			$stemOfut = $stemO."ло";
		
		$stemEfut = $stemE."(лэ)";
		
		if ($conj == 2)
			$stemEfut = $stemE."лэ";
		
		echo "<h4 class=\"cop-subsection-title\">Indicative future</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Positive</strong></td><td class=\"paradigm_table_first_row\"><strong>Negative</strong></td></tr>\n";
		
			$x1 = choose_udm_ort($stemOfut, $ort);
			$x2 = choose_udm_ort("уг ".$stemY, $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemOfut."д", $ort);
			$x2 = choose_udm_ort("уд ".$stemY, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemOfut."з", $ort);
			$x2 = choose_udm_ort("уз ".$stemY, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
		if ($conj == 1)
		{
			$x1 = choose_udm_ort($stemOfut."м(ы)", $ort);
			$x2 = choose_udm_ort("ум ".$stemEfut, $ort);	
		}
		else
		{
			$x1 = choose_udm_ort($stemOfut."мы", $ort);
			$x2 = choose_udm_ort("ум ".$stemEfut, $ort);		
		}
				
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemOfut."ды", $ort);
			$x2 = choose_udm_ort("уд ".$stemEfut, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemOfut."зы", $ort);
			$x2 = choose_udm_ort("уз ".$stemEfut, $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		echo "</table>\n";
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
		echo "<h4 class=\"cop-subsection-title\">Indicative past tense 1</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Positive</strong></td><td class=\"paradigm_table_first_row\"><strong>Negative</strong></td></tr>\n";
		
		
		if ($conj == 1)
		{
			$x1 = choose_udm_ort($stemI, $ort);
			$x2 = choose_udm_ort("ӧй ".$stemY, $ort);
		}
		else
		{
			$x1 = choose_udm_ort($stemI."й", $ort);
			$x2 = choose_udm_ort("ӧй ".$stemY, $ort);	
		}
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."д", $ort);
			$x2 = choose_udm_ort("ӧд ".$stemY, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."з", $ort);
			$x2 = choose_udm_ort("ӧз ".$stemY, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."м(ы)", $ort);
			$x2 = choose_udm_ort("ӧм ".$stemEfut, $ort);		

				
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."ды", $ort);
			$x2 = choose_udm_ort("ӧд ".$stemEfut, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."зы", $ort);
			$x2 = choose_udm_ort("ӧз ".$stemEfut, $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		echo "</table>\n";
		
		
		
		
		
		
		
		
		
		

		echo "<h4 class=\"cop-subsection-title\">Indicative past tense 2</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Positive</strong></td><td class=\"paradigm_table_first_row\"><strong>Negative</strong></td></tr>\n";
	
			$x1 = choose_udm_ort($stemI."ськем", $ort);
			$x2 = choose_udm_ort($stemI."ськымтэе ~ ӧвӧл ".$stemI."ськем", $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemE."м(ед)", $ort);
			$x2 = choose_udm_ort($stemY."мтэ(ед) ~ ӧвӧл ".$stemE."м(ед)", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemE."м", $ort);
			$x2 = choose_udm_ort($stemY."мтэ ~ ӧвӧл ".$stemE."м", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."ськеммы", $ort);
			$x2 = choose_udm_ort($stemI."ськымтэмы ~ ӧвӧл ".$stemI."ськеммы", $ort);	

				
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."ллям(ды)", $ort);
			$x2 = choose_udm_ort($stemI."ллямтэ(ды) ~ ӧвӧл ".$stemI."ллям(ды)", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemI."ллям(зы)", $ort);
			$x2 = choose_udm_ort($stemI."ллямтэ(зы) ~ ӧвӧл ".$stemI."ллям(зы)", $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		echo "</table>\n";
		
		
		
		
		
		
		
		
		
		echo "<h4 class=\"cop-subsection-title\">Imperative</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Positive</strong></td><td class=\"paradigm_table_first_row\"><strong>Negative</strong></td></tr>\n";
		
		if ($conj == 1)
		{
			$stemTemp = str_replace("ь¤","",$stemN."¤");
			$stemTemp = str_replace("¤","",$stemTemp);

			$min1 = substr_unicode($stemTemp,strlen_unicode($stemTemp)-2,1);	
			$min2 = substr_unicode($stemTemp,strlen_unicode($stemTemp)-1,1);	
			
			if ((in_array ($min1, $vowels) && in_array ($min2, $consonants)) || (in_array ($min2, $vowels) && (mb_strlen($stemTemp,"UTF-8") < 3)))
			{
				$x1 = choose_udm_ort($stemN, $ort);
				$x2 = choose_udm_ort("эн ".$stemN, $ort);					
			}
			else
			{
				$x1 = choose_udm_ort($stemY, $ort);
				$x2 = choose_udm_ort("эн ".$stemY, $ort);	
			}
		}
		else
		{
			$x1 = choose_udm_ort($stemY, $ort);
			$x2 = choose_udm_ort("эн ".$stemY, $ort);		
		}
		
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
		if ($conj == 1)
		{
			$x1 = choose_udm_ort($stemE."(лэ)", $ort);
			$x2 = choose_udm_ort("эн ".$stemE, $ort);	
		}
		else
		{
			$x1 = choose_udm_ort($stemE."лэ", $ort);
			$x2 = choose_udm_ort("эн ".$stemE."лэ", $ort);		
		}
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		echo "</table>\n";		
		
		
		
		
		
		
		
		
		
		
		
		

		echo "<h4 class=\"cop-subsection-title\">Optative</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Positive</strong></td><td class=\"paradigm_table_first_row\"><strong>Negative</strong></td></tr>\n";
		
			$x1 = choose_udm_ort("мед ".$stemOfut."м", $ort);
			$x2 = choose_udm_ort("медам ".$stemY, $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort("мед ".$stemOfut."д", $ort);
			$x2 = choose_udm_ort("медад ".$stemY, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort("мед ".$stemOfut."з", $ort);
			$x2 = choose_udm_ort("медаз ".$stemY, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort("мед / ойдо / ойдолэ ".$stemOfut."м(е)", $ort);
			$x2 = choose_udm_ort("медам / ойдо ум / ойдолэ ".$stemEfut, $ort);	
				
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort("мед ".$stemOfut."ды", $ort);
			$x2 = choose_udm_ort("медад ".$stemEfut, $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort("мед ".$stemOfut."зы", $ort);
			$x2 = choose_udm_ort("медаз ".$stemEfut, $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		echo "</table>\n";
		
		
		
		
		
		
		
		
		
		
		
		echo "<h4 class=\"cop-subsection-title\">Conditional</h4>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>Positive</strong></td><td class=\"paradigm_table_first_row\"><strong>Negative</strong></td></tr>\n";
		
			$x1 = choose_udm_ort($stemY."сал", $ort);
			$x2 = choose_udm_ort("ӧй ".$stemY."сал", $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemY."сал(ыд)", $ort);
			$x2 = choose_udm_ort("ӧй (ӧд) ".$stemY."сал(ыд)", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemY."сал(ыз)", $ort);
			$x2 = choose_udm_ort("ӧй ".$stemY."сал(ыз)", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemY."салмы", $ort);
			$x2 = choose_udm_ort("ӧй (ӧм) ".$stemY."салмы", $ort);
				
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemY."салды", $ort);
			$x2 = choose_udm_ort("ӧй (ӧд) ".$stemY."салды", $ort);
			
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		
			$x1 = choose_udm_ort($stemY."салзы", $ort);
			$x2 = choose_udm_ort("ӧй ".$stemY."салзы", $ort);
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$x1</td><td class=\"paradigm_table_cell\">$x2</td></tr>\n";
		echo "</table>\n";
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
			
		echo "<hr><h3  class=\"cop-blue-text cop-section-title cop-margin-b-30\">Non-finite verbal forms (without possessive suffixes)</h3>\n";
				
		echo "<table class=\"paradigm_table\">\n";
		
		$x1 = choose_udm_ort($stemY."ны", $ort);
		echo "<tr><td class=\"paradigm_table_first_column_pron1\"><strong>Infinitive</strong></td><td class=\"paradigm_table_cell_pron1\">$x1</td>\n";
		
		
		$x1 = choose_udm_ort($stemY."са", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>\"Basic\" gerund</strong></td><td class=\"paradigm_table_cell\">$x1</td>\n";
		
		$x1 = choose_udm_ort($stemY."тэк", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Negative gerund</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$sim = choose_udm_ort($stemY."ку", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Simultaneous gerund</strong></td><td class=\"paradigm_table_cell\">$sim</td></tr>\n";
		
		$sub = choose_udm_ort($stemY."тозь", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Subsequent gerund</strong></td><td class=\"paradigm_table_cell\">$sub</td></tr>\n";
		
		
		
		$x1 = choose_udm_ort($stemI."сь", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Active participle</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($stemI."сьтэм", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Active participle (negated)</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";

		$x1 = choose_udm_ort($stemE."м", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Perfect participle</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($stemE."мын", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Perfect participle (predicative)</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($stemY."мтэ", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Perfect participle (negated)</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($stemO."но", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Necessitive participle</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($stemY."мон", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Potential participle</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($stemO."нтэм", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Potential participle (negated)</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		echo "</table>\n";	
		

		echo "<hr><h3  class=\"cop-blue-text cop-section-title cop-margin-b-30\">Gerund of simultaneous action with possessive suffixes</h3>\n";
		
		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>$sim</strong></td></tr>\n";
		
		$x1 = choose_udm_ort($sim."м", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($sim."д", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";

		$x1 = choose_udm_ort($sim."з", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";

		$x1 = choose_udm_ort($sim."мы", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($sim."ды", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";

		$x1 = choose_udm_ort($sim."зы", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		echo "</table>\n";
		
		
		
		
		
		echo "<hr><h3  class=\"cop-blue-text cop-section-title cop-margin-b-30\">Gerund of subsequent action with possessive suffixes</h3>\n";

		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_top_left\"></td><td class=\"paradigm_table_first_row\"><strong>$sub</strong></td></tr>\n";

		$sub = choose_udm_ort($stemY."тозя", $ort);

		$x1 = choose_udm_ort($sub."м", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1SG</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($sub."д", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2SG</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";

		$x1 = choose_udm_ort($sub."з", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3SG</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";

		$x1 = choose_udm_ort($sub."мы", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>1PL</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		$x1 = choose_udm_ort($sub."ды", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>2PL</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";

		$x1 = choose_udm_ort($sub."зы", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>3PL</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		echo "</table>\n";
		
		
		
	/*	echo "<hr><h3  class=\"cop-blue-text cop-section-title cop-margin-b-30\">Derivational morphology (excerpt)</h3>\n";
		
		
		echo "<table class=\"paradigm_table\">\n";
		
		$x1 = choose_udm_ort($stemO."н", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Nominalization</strong></td><td class=\"paradigm_table_cell\">$x1</td>\n";

		$x1 = choose_udm_ort($stemY."тыны", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Causative</strong></td><td class=\"paradigm_table_cell\">$x1</td>\n"; 
		
		if ($conj == 1)
		{
			$x1 = choose_udm_ort($stemY."лыны", $ort);	
		}
		else
		{
			$x1 = choose_udm_ort($stemE."лляны", $ort);	
		}
		
		
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Frequentative</strong></td><td class=\"paradigm_table_cell\">$x1</td>\n";
		
		$x1 = choose_udm_ort($stemI."ськыны", $ort);
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Reflexive, frequentative, etc.</strong></td><td class=\"paradigm_table_cell\">$x1</td></tr>\n";
		
		echo "</table>\n";	*/
		
		
		

	
	}
	else
	{
		if ($gen == "мон")
		{
			$NomS = choose_udm_ort("мон", $ort);
			$GenS = choose_udm_ort("мынам", $ort);
			$AblS = choose_udm_ort("мынэсьтым", $ort);
			$DatS = choose_udm_ort("мыным", $ort);
			$AccS = choose_udm_ort("монэ", $ort);
			$InsS = choose_udm_ort("монэн(ым)", $ort);
			$AbeS = choose_udm_ort("монтэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("монлань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("монъя", $ort);
		}
		else if ($gen == "тон")
		{
			$NomS = choose_udm_ort("тон", $ort);
			$GenS = choose_udm_ort("тынад", $ort);
			$AblS = choose_udm_ort("тынэсьтыд", $ort);
			$DatS = choose_udm_ort("тыныд", $ort);
			$AccS = choose_udm_ort("тонэ", $ort);
			$InsS = choose_udm_ort("тонэн(ыд)", $ort);
			$AbeS = choose_udm_ort("тонтэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("тонлань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("тонъя", $ort);
		}
		else if ($gen == "со")
		{
			$NomS = choose_udm_ort("со", $ort);
			$GenS = choose_udm_ort("солэн", $ort);
			$AblS = choose_udm_ort("солэсь", $ort);
			$DatS = choose_udm_ort("солы", $ort);
			$AccS = choose_udm_ort("сое", $ort);
			$InsS = choose_udm_ort("соин", $ort);
			$AbeS = choose_udm_ort("сотэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("солань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("соя", $ort);
		}
		else if ($gen == "ми")
		{
			$NomS = choose_udm_ort("ми", $ort);
			$GenS = choose_udm_ort("милям", $ort);
			$AblS = choose_udm_ort("милесьтым", $ort);
			$DatS = choose_udm_ort("милем(лы)", $ort);
			$AccS = choose_udm_ort("милемыз ~ милемды", $ort);
			$InsS = choose_udm_ort("милемын", $ort);
			$AbeS = choose_udm_ort("митэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("милань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("мия", $ort);
		}
		else if ($gen == "тӥ")
		{
			$NomS = choose_udm_ort("тӥ", $ort);
			$GenS = choose_udm_ort("тӥляд", $ort);
			$AblS = choose_udm_ort("тӥлесьтыд", $ort);
			$DatS = choose_udm_ort("тӥлед(лы)", $ort);
			$AccS = choose_udm_ort("тӥледыз ~ тӥледды", $ort);
			$InsS = choose_udm_ort("тӥледын", $ort);
			$AbeS = choose_udm_ort("тӥтэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("милань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("тӥя", $ort);
		}
		else if ($gen == "соос")
		{
			$NomS = choose_udm_ort("соос", $ort);
			$GenS = choose_udm_ort("соослэн", $ort);
			$AblS = choose_udm_ort("соослэсь", $ort);
			$DatS = choose_udm_ort("соослы", $ort);
			$AccS = choose_udm_ort("соосты ~ соосыз", $ort);
			$InsS = choose_udm_ort("соосын", $ort);
			$AbeS = choose_udm_ort("соостэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("соослань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("соосъя", $ort);
		}
		else if ($gen == "ачим")
		{
			$NomS = choose_udm_ort("ачим", $ort);
			$GenS = choose_udm_ort("аслам", $ort);
			$AblS = choose_udm_ort("аслэсьтым", $ort);
			$DatS = choose_udm_ort("аслым", $ort);
			$AccS = choose_udm_ort("асме", $ort);
			$InsS = choose_udm_ort("асэным", $ort);
			$AbeS = choose_udm_ort("ачимтэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("ачимлань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("ачимъя", $ort);
		}
		else if ($gen == "ачид")
		{
			$NomS = choose_udm_ort("ачид", $ort);
			$GenS = choose_udm_ort("аслад", $ort);
			$AblS = choose_udm_ort("аслэсьтыд", $ort);
			$DatS = choose_udm_ort("аслыд", $ort);
			$AccS = choose_udm_ort("астэ", $ort);
			$InsS = choose_udm_ort("асэныд", $ort);
			$AbeS = choose_udm_ort("ачидтэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("ачидлань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("ачидъя", $ort);
		}
		else if ($gen == "ачиз")
		{
			$NomS = choose_udm_ort("ачиз", $ort);
			$GenS = choose_udm_ort("аслаз", $ort);
			$AblS = choose_udm_ort("аслэсьтыз", $ort);
			$DatS = choose_udm_ort("аслыз", $ort);
			$AccS = choose_udm_ort("ассэ", $ort);
			$InsS = choose_udm_ort("асеныз", $ort);
			$AbeS = choose_udm_ort("ачизтэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("ачизлань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("ачизъя", $ort);
		}
		else if ($gen == "асьмеос")
		{
			$NomS = choose_udm_ort("асьмеос", $ort);
			$GenS = choose_udm_ort("асьмелэн", $ort);
			$AblS = choose_udm_ort("асьмелэсь", $ort);
			$DatS = choose_udm_ort("асьмелы", $ort);
			$AccS = choose_udm_ort("асьмеды ~ асьмемыз", $ort);
			$InsS = choose_udm_ort("асьмемын ~ асэнымы", $ort);
			$AbeS = choose_udm_ort("асьмеостэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("асьме(ос)лань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("асьме(осъ)я", $ort);
		}
		else if ($gen == "асьтэос")
		{
			$NomS = choose_udm_ort("асьтэос", $ort);
			$GenS = choose_udm_ort("асьтэлэн", $ort);
			$AblS = choose_udm_ort("асьтэлэсь", $ort);
			$DatS = choose_udm_ort("асьтэлы", $ort);
			$AccS = choose_udm_ort("асьтэды ~ асьтэдыз", $ort);
			$InsS = choose_udm_ort("асьтэдын ~ асэныды", $ort);
			$AbeS = choose_udm_ort("асьтэостэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("асьтэ(ос)лань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("асьтэ(осъ)я", $ort);
		}
		else if ($gen == "асьсэос")
		{
			$NomS = choose_udm_ort("асьсэос", $ort);
			$GenS = choose_udm_ort("асьсэлэн", $ort);
			$AblS = choose_udm_ort("асьсэлэсь", $ort);
			$DatS = choose_udm_ort("асьсэлы", $ort);
			$AccS = choose_udm_ort("асьсэды ~ асьсэзыз", $ort);
			$InsS = choose_udm_ort("асьсэзын ~ асенызы", $ort);
			$AbeS = choose_udm_ort("асьсэостэк", $ort);
			$IneS = choose_udm_ort("-", $ort);
			$ElaS = choose_udm_ort("-", $ort);
			$IllS = choose_udm_ort("-", $ort);
			$AppS = choose_udm_ort("асьсэ(ос)лань", $ort);
			$EgrS = choose_udm_ort("-", $ort);
			$ProS = choose_udm_ort("-", $ort);
			$TerS = choose_udm_ort("-", $ort);
			$AdvS = choose_udm_ort("асьсэ(осъ)я", $ort);
		}
		
				echo "<hr><h3  class=\"cop-blue-text cop-section-title cop-margin-b-30\">Case</h3>\n";

				
		echo "<table class=\"paradigm_table\">\n";
		echo "<tr><td class=\"paradigm_table_first_column_pron1\"><strong>Nominative</strong></td><td class=\"paradigm_table_cell_pron1\">$NomS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Accusative</strong></td><td class=\"paradigm_table_cell\">$AccS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Genitive</strong></td><td class=\"paradigm_table_cell\">$GenS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Ablative</strong></td><td class=\"paradigm_table_cell\">$AblS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Dative</strong><td class=\"paradigm_table_cell\">$DatS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Instrumental</strong></td><td class=\"paradigm_table_cell\">$InsS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Abessive</strong></td><td class=\"paradigm_table_cell\">$AbeS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Adverbial</strong></td><td class=\"paradigm_table_cell\">$AdvS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Inessive</strong></td><td class=\"paradigm_table_cell\">$IneS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Illative</strong></td><td class=\"paradigm_table_cell\">$IllS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Elative</strong></td><td class=\"paradigm_table_cell\">$ElaS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Egressive</strong></td><td class=\"paradigm_table_cell\">$EgrS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Prolative</strong></td><td class=\"paradigm_table_cell\">$ProS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Terminative</strong></td><td class=\"paradigm_table_cell\">$TerS</td></tr>\n";
		echo "<tr><td class=\"paradigm_table_first_column\"><strong>Approximative</strong></td><td class=\"paradigm_table_cell\">$AppS</td></tr>\n";
		
		echo "</table>\n";
	}
?>

					</section> 
					
					<section id="source" class="cop-section">
                                <!--div class="row"-->                                                                
                                        <header>
										<hr>
                                            <h2 class="cop-blue-text cop-section-title cop-margin-b-45">Source code</h2>
                                        </header>
                                        <table cellpadding="15">
                                        <tr>
                                        <td><figure class="cop-img-container-table"> <img src="images/source.png" class="img-fluid"></figure></td>
                                        <td>
										
										<p>The source code for this tool is published under the <a href="https://creativecommons.org/licenses/by-sa/4.0/" target="_blank">Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)</a> license. This means it can be used and reproduced free of charge for non-profit purposes, contingent on attribution.</p>

										<br>
										<a href="./files/copius_source.zip" class="cop-button cop-button-wide cop-margin-b-30">Download source code</a> </td>
                                        </tr>
                                        </table>
                                    <!--/div>
                                </div-->                            
                            </section>

					<section id="contact" class="cop-section">
								<hr>
								<header><h2 class="cop-blue-text cop-section-title cop-margin-b-30">Contact Us</h2></header>

								<div class="row">
									<div class="col-lg-6">
										<form action="submit.php?page=udmurt" method="post" class="contact-form">
											<div class="form-group">
												<input type="text" id="contact_name" name="contact_name" class="form-control" placeholder="Name"  required/>
											</div>
											<div class="form-group">
												<input type="email" id="contact_email" name="contact_email" class="form-control" placeholder="Email"  required/>
											</div>
											<div class="form-group">
												<textarea id="contact_message" name="contact_message" class="form-control" rows="18" placeholder="Message" required></textarea>
											</div>											
											<button type="submit" class="float-right cop-button">Send</button>
										</form>	
									</div>
									
									<div class="col-lg-6 cop-contact-right">
										<p><strong>Project Coordination</strong><br/> Prof. Dr. Rogier Blokland</p>
										<address>Uppsala University</br>Department of Modern Languages<br/> Engelska parken<br/> Thunbergsv. 3 L<br/> 751 26 Uppsala<br/> Sweden</address>

										<p><strong>Project Administration</strong><br/> Dr. phil. Maximilian Murmann (LMU Munich)</p>

										<p><strong>Technical Administration</strong><br/> Dr. tech. Dr. phil. Jeremy Bradley (University of Vienna)</p>
  
										<p><strong>Webmaster</strong><br/> Tobias Weber, M.A. (LMU Munich)</p>
   
  
										
										<!--address>
											11/22 Etiam mauris erat,<br>
											Vestibulum eu augue nec, 10220<br>
											Nam consequat
										</address-->
									</div>
								</div>
								
							</section>
							<footer>
								<?php
								
								include('passwords.php');
								
								echo "<p class=\"cop-copyright-p\">Copyright &copy; <span class=\"cop-current-year\">$year</span> COPIUS, last update: $last</p>\n";
								
								?>
								<p>Quick Access: <a href="./index.php">Home </a>| <a href="./teaching.php">Activities </a>| <a href="./materials.php">Materials </a>| <a href="./tools.php">Tools </a> | <a href="./login.php">Log In</a></p>
							</footer>
						</div>  
						
					</div> <!-- Right column: content -->
				</div>
			</div> <!-- row -->
		</div> <!-- container -->
				
		<!-- load JS files -->
		<script src="js/jquery-1.11.3.min.js"></script>			 <!-- jQuery (https://jquery.com/download/) -->
		<script src="js/jquery.magnific-popup.min.js"></script>	 <!-- Magnific pop-up (http://dimsemenov.com/plugins/magnific-popup/) -->
		<script src="js/jquery.singlePageNav.js"></script>	  <!-- Single Page Nav (https://github.com/ChrisWojcik/single-page-nav) -->
		<script>	 
	   
			$(document).ready(function(){

				// Single page nav
				$('.cop-main-nav').singlePageNav({
					'currentClass' : "active",
					offset : 20
				});

				// Magnific pop up
				$('.cop-gallery-1').magnificPopup({
				  delegate: 'a', // child items selector, by clicking on it popup will open
				  type: 'image',
				  gallery: {enabled:true}
				  // other options
				}); 

				$('.cop-gallery-2').magnificPopup({
				  delegate: 'a', // child items selector, by clicking on it popup will open
				  type: 'image',
				  gallery: {enabled:true}
				  // other options
				}); 

				$('.cop-gallery-3').magnificPopup({
				  delegate: 'a', // child items selector, by clicking on it popup will open
				  type: 'image',
				  gallery: {enabled:true}
				  // other options
				}); 

				$('.cop-current-year').text(new Date().getFullYear());				
			});
		</script>		
		<script>
			// When the user clicks on <div>, open the popup
			function popupfunction() {
			var popup = document.getElementById("Citation");
			popup.classList.toggle("show");
			}
		</script>
	</body>
</html>