﻿<!-- COPIUS Transcription & orthography toolset -->
<!-- Version 1.1, 11 March 2021 -->
<!-- Jeremy Bradley, jeremy.moss.bradley@univie.ac.at -->

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>COPIUS - Communities of Practice in Uralic Studies</title>
    <link rel="icon" type="image" href="images/copius_logo.png">

    <!-- load stylesheets -->
	<link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet"> 
    <link rel="stylesheet" href="css/bootstrap.min.css">                                      <!-- Bootstrap style -->
    <!--link rel="stylesheet" href="css/magnific-popup.css"-->                                <!-- Magnific pop up style, http://dimsemenov.com/plugins/magnific-popup/ -->
    <link rel="stylesheet" href="css/style_trans.css">                                   <!-- Templatemo style -->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
          <![endif]-->
</head>

<body>
<br>
<table class="header">
<tr>
<td>
<img src="images/copius_logo_white-bg.png" alt="Copius" class="img-fluid" width="150">
</td>
<td>
<h2 class="cop-blue-text cop-section-title cop-margin-b-45">Universal diacritic helper</h2>
<p><a href="./index.php">copius.eu</a> » <a href="./tools.php">Tools</a> » <a href="./ortho.php">Transcription & orthography toolset</a> » <strong>Universal diacritic helper</strong></p>
</td>
</tr>
</table>
<br/><p><a href="./files/tr-manual.pdf" class="cop-button cop-button-wide cop-margin-b-30">Help and documentation</a><p>

<?php

header("Content-type: text/html; charset=utf-8");

include('functions.php');
include('passwords.php');

$content = ""; // Text to transcribe

if(isset($_POST["content"]))
{
	$content = $_POST["content"];
}
	
$mysqli = new mysqli($host,$user,$pw,$db_name);

if ($mysqli->connect_errno)
{
	printf("Connect failed: %s\n", $mysqli->connect_error);
	exit();
}
$mysqli->query("SET CHARACTER SET utf8");
$mysqli->query("SET SESSION collation_connection =’utf8_general_ci’");


$sqlord1 = "SELECT * FROM `tr-categories` ORDER BY `name`";
$sqlres1 = $mysqli->query($sqlord1);
$rows1 = $sqlres1->num_rows;

$sqlord2 = "SELECT * FROM `tr-rules`";
$sqlres2 = $mysqli->query($sqlord2);
$rows2 = $sqlres2->num_rows;

	
echo "<form action=\"\" method=\"post\">\n";

$output = str_replace("\n", "<br/>", $content);

if (strlen($output) > 3)
	$output = universal($output,$sqlres1,$sqlres2);

$output = disp($output, "");	
	
echo"<table class=\"transform\" width =\"90%\">\n<tr>\n<td width=\"45%\" height=\"500\"><textarea name=\"content\">$content</textarea></td>\n<td width=\"10%\"><button type=\"submit\" class=\"bigbutton\">→<br/>→<br/>→<br/>→<br/>→</button></td>\n<td width=\"45%\"><div class=\"trans\">$output</div></td>\n</tr>\n</table>\n<hr>";

echo "</form>\n";

echo "<h3 class=\"cop-blue-text cop-section-title cop-margin-b-30\">Modifiers</h3>\n<p>(For complete tables, see documentation)";

echo "<table>\n";

for ($i = 0; $i < $rows1; $i++)
{
	$name = db_result($sqlres1,$i,"name");
	$lat = db_result($sqlres1,$i,"lat");
	$cyr = db_result($sqlres1,$i,"cyr");
	
	$exla = "";
	$excy = "";
	
	for ($k = 0; $k < $rows2; $k++)
	{
		
		$ltemp = db_result($sqlres2,$k,"cs-lat");
		if ($ltemp == $lat)
		{
			$exla = db_result($sqlres2,$k,"uc-from");
			$excy = db_result($sqlres2,$k,"uc-to");
			$k = $rows2;
		}
	}
	
	echo "<tr><td>[$lat]</td><td>~</td><td class=\"with_border\">[$cyr]</td><td class=\"with_border\">$name</td><td>(e.g., </td><td>$exla</td><td>→</td><td>$excy</td><td>)</td></tr>\n";
}




echo "</table><br>\n";

?> 


<hr>
<h2 class="cop-blue-text cop-section-title cop-margin-b-30">Contact Us</h2>

<form action="submit.php?page=univ" method="post" class="contact-form">
	<div class="form-group">
		<input type="text" id="contact_name" name="contact_name" class="form-control" placeholder="Name"  required/>
	</div>
	<div class="form-group">
		<input type="email" id="contact_email" name="contact_email" class="form-control" placeholder="Email"  required/>
	</div>
	<div class="form-group">
		<textarea id="contact_message" name="contact_message" class="form-control" rows="18" placeholder="Message" required></textarea>
	</div>											
	<button type="submit" class="float-right cop-button">Send</button>
</form>	

<br/>
<hr>
<?php

include('passwords.php');

echo "<p class=\"cop-copyright-p\">Copyright &copy; <span class=\"cop-current-year\">$year</span> COPIUS, last update: $last</p>\n";

?>
<p>Quick Access: <a href="./index.php">Home </a>| <a href="./teaching.php">Activities </a>| <a href="./materials.php">Materials </a>| <a href="./tools.php">Tools </a> | <a href="./login.php">Log In</a></p>

</body>
</html>